Main Page Modules Class Hierarchy Data Structures File List Data Fields Globals Related Pages

# oscl Data Fields

_ | a | b | c | d | e | f | g | h | i | j | k | l | m | n | o | p | r | s | t | u | v | w | x | z | ~

Here is a list of all struct and union fields with links to the struct/union documentation for each field:

### - _ -

- _fixedCaches : OsclFileCache
- _movableCache : OsclFileCache
- _OsclHeapBase() : _OsclHeapBase
- _Ownership : OSCLMemAutoPtr< T, _Allocator >
- _Ptr : OsclTLSEx< T, ID, Registry >, OsclTLS< T, ID, Registry >, OsclSingleton< T, ID, Registry >, OsclExclusivePtrA< T, Alloc >, OsclExclusiveArrayPtr< T >, OsclExclusivePtr< T >

### - a -

- a : internalLeave
- Abort() : OsclSocketRequestAO, OsclSocketMethod, OsclDNSRequestAO, OsclDNSMethod
- AbortAll() : OsclSocketMethod, OsclDNSMethod
- Accept() : OsclTCPSocketI, OsclSocketI, OsclSocketIBase, OsclAcceptRequest, OsclAcceptMethod, OsclTCPSocket
- AcceptParam() : AcceptParam
- AcceptRequest() : OsclAcceptMethod
- Activate() : PVActiveBase, OsclSocketRequest, OsclDNSRequest
- Add() : OsclTimerQ, OsclSocketServRequestList
- add_element() : Oscl_MTLinked_List< LLClass, Alloc, TheLock >, Oscl_Linked_List< LLClass, Alloc >, Oscl_Linked_List_Base
- add_ref() : CHeapRep
- add_to_front() : Oscl_MTLinked_List< LLClass, Alloc, TheLock >, Oscl_Linked_List< LLClass, Alloc >, Oscl_Linked_List_Base
- addAllocNode() : MM_Audit_Imp
- AddAppender() : PVLogger
- AddFilter() : PVLogger
- AddFixedCache() : Oscl_File, OsclFileCache
- AddFragment() : BufFragGroup< ChainClass, max_frags >
- AddLocalFragment() : MediaData< ChainClass, max_frags, local_bufsize >
- addnewmempoolbuffer() : OsclMemPoolResizableAllocator
- addRef() : OsclMemPoolResizableAllocator, OsclMemPoolFixedChunkAllocator, Oscl_DefAllocWithRefCounter< DefAlloc >, OsclRefCounterMTSA< DeallocType, LockType >, OsclRefCounterMTDA< LockType >, OsclRefCounterSA< DeallocType >, OsclRefCounterDA, OsclRefCounter
- address() : Oscl_TAlloc< T, Alloc >
- addressListCapacity : GetHostByNameParam
- AddToExecTimerQ() : OsclExecSchedulerCommonBase
- AddToScheduler() : PVActiveBase, OsclTimerObject, OsclActiveObject
- After() : OsclTimerObject
- Alloc() : OsclSocketRequestAO, OsclSocketMethod, OsclIPSocketI
- alloc_and_construct() : Oscl_TAlloc< T, Alloc >
- alloc_and_construct_fl() : Oscl_TAlloc< T, Alloc >
- ALLOC_NODE_FLAG : MM_AllocBlockHdr
- alloc_type : PVLoggerRegistry, PVLogger
- allocate() : MemAllocator< T >, OsclReadyAlloc, OsclMemPoolResizableAllocator, OsclMemPoolFixedChunkAllocator, OSCLMemAutoPtr< T, _Allocator >, OsclMemBasicAllocDestructDealloc< T >, OsclMemAllocDestructDealloc< T >, OsclMemBasicAllocator, OsclMemAllocator, OsclErrorAllocator, Oscl_Opaque_Type_Alloc_LL, Oscl_Opaque_Type_Alloc, Oscl_TAlloc< T, Alloc >, Oscl_DefAlloc, Oscl_Alloc, _OsclBasicAllocator
- allocate_fl() : OsclReadyAlloc, OsclMemAllocDestructDealloc< T >, OsclMemAllocator, Oscl_TAlloc< T, Alloc >, Oscl_DefAlloc, Oscl_Alloc
- allocateblock() : OsclMemPoolResizableAllocator
- allocNum : MM_AllocInfo, MM_AllocQueryInfo
- AllPassFilter() : AllPassFilter
- ALREADY_SUSPENDED_ERROR : OsclProcStatus
- Append() : OsclPtr
- append() : CFastRep, CStackRep, CHeapRep
- append_rep() : CHeapRep, OSCL_wString, OSCL_String
- AppendBuffers() : PVLoggerAppender
- AppendNext() : BufFragGroup< ChainClass, max_frags >
- AppendString() : PVLoggerAppender
- assign() : CHeapRep
- assign_vector() : Oscl_Vector_Base
- asyncfilereadcancel_test : Oscl_File
- asyncfilereadwrite_test : Oscl_File
- Attach() : OsclBinStream
- audit_type : OsclMemGlobalAuditObject
- available_localbuf : MediaData< ChainClass, max_frags, local_bufsize >

### - b -

- back() : Oscl_Vector< T, Alloc >, Oscl_Queue< T, Alloc >
- BAD_THREADID_ADDR_ERROR : OsclProcStatus
- base_link_type : Oscl_Rb_Tree_Base, Oscl_Rb_Tree_Const_Iterator< Value >, Oscl_Rb_Tree_Iterator< Value >, Oscl_Rb_Tree_Node_Base
- begin() : Oscl_Vector< T, Alloc >, Oscl_Rb_Tree< Key, Value, KeyOfValue, Compare, Alloc >, Oscl_TagTree< T, Alloc >, Oscl_Map< Key, T, Alloc, Compare >
- BeginScheduling() : OsclExecSchedulerCommonBase
- BeginStats() : OsclExecSchedulerCommonBase
- BFG_SUCCESS : BufFragStatusClass
- Bind() : OsclSocketI, OsclSocketIBase, OsclBindRequest, OsclBindMethod, OsclTCPSocket, OsclUDPSocket, OsclIPSocketI, OsclSharedPtr< TheClass >
- bind() : BufferState
- BindAsync() : OsclUDPSocketI, OsclTCPSocketI, OsclSocketIBase, OsclTCPSocket, OsclUDPSocket
- BindParam() : BindParam
- BindRequest() : OsclBindMethod
- black : Oscl_Rb_Tree_Node_Base
- BlockingLoopL() : OsclExecSchedulerCommonBase
- bSetFailure : MM_AllocInfo
- Buffer() : OsclAsyncFileBuffer
- buffer : CFastRep, CStackRep, CHeapRep
- buffer_states : BufFragGroup< ChainClass, max_frags >
- BufferReleased() : BufferMgr
- BufferState() : BufferState
- BufFragGroup() : BufFragGroup< ChainClass, max_frags >
- bufsize : Oscl_Vector_Base, Oscl_Queue_Base

### - c -

- c : OsclPriorityQueue< Qelem, Alloc, Container, Compare >
- c_str() : WStrPtrLen, StrPtrLen
- Callback() : OsclReadyQ
- callback_timer_type : OsclTimer< Alloc >
- CallbackTimer() : CallbackTimer< Alloc >
- CallbackTimer< Alloc > : OsclTimer< Alloc >
- CallRunExec() : OsclExecSchedulerCommonBase
- Cancel() : OsclTimer< Alloc >, PVActiveBase, OsclTimerObject, OsclActiveObject
- CancelAccept() : OsclTCPSocketI, OsclSocketIBase, OsclTCPSocket
- CancelBind() : OsclUDPSocketI, OsclTCPSocketI, OsclSocketIBase, OsclTCPSocket, OsclUDPSocket
- CancelConnect() : OsclTCPSocketI, OsclSocketIBase, OsclTCPSocket
- CancelFreeChunkAvailableCallback() : OsclMemPoolResizableAllocator, OsclMemPoolFixedChunkAllocator
- CancelFreeMemoryAvailableCallback() : OsclMemPoolResizableAllocator
- CancelFxn() : OsclSocketIBase, OsclDNSIBase
- CancelGetHostByName() : OsclDNSIBase, OsclDNS
- Cancelled() : OsclDNSRequestAO
- CancelListen() : OsclTCPSocketI, OsclSocketIBase, OsclTCPSocket
- CancelMethod() : OsclSocketMethod, OsclDNSMethod
- CancelRecv() : OsclTCPSocketI, OsclSocketIBase, OsclTCPSocket
- CancelRecvFrom() : OsclUDPSocketI, OsclSocketIBase, OsclUDPSocket
- CancelRequest() : OsclSocketRequest, OsclDNSRequest
- CancelSend() : OsclTCPSocketI, OsclSocketIBase, OsclTCPSocket
- CancelSendTo() : OsclUDPSocketI, OsclSocketIBase, OsclUDPSocket
- CancelShutdown() : OsclTCPSocketI, OsclSocketIBase, OsclTCPSocket
- canPersistMoreHostAddresses() : GetHostByNameParam
- CanTerminate() : OsclThread
- capacity : Oscl_Vector_Base, Oscl_Queue_Base, OsclFileCacheBuffer
- CFastRep() : CFastRep
- chartype : OSCL_wFastString, OSCL_FastString, OSCL_wStackString< MaxBufSize >, OSCL_StackString< MaxBufSize >, OSCL_wHeapStringA, OSCL_HeapStringA, OSCL_wHeapString< Alloc >, OSCL_HeapString< Alloc >, OSCL_wString, OSCL_String
- CHeapRep() : CHeapRep
- check_fence() : MM_AllocBlockFence
- check_list() : Oscl_Linked_List< LLClass, Alloc >, Oscl_Linked_List_Base
- checkSum : StrCSumPtrLen
- CheckSumType : StrCSumPtrLen
- children : Oscl_TagTree< T, Alloc >::Node
- children_type : Oscl_TagTree< T, Alloc >, Oscl_TagTree< T, Alloc >::Node
- ChooseCurCache() : Oscl_File::OsclCacheObserver
- CleanInUse() : OsclAsyncFileBuffer
- Cleanup() : OsclScheduler, OsclInit, OsclMem, OsclErrorTrap, PVLogger
- CleanupExecQ() : OsclExecSchedulerCommonBase
- CleanupParam() : OsclSocketRequestAO
- CleanupStatQ() : OsclExecSchedulerCommonBase
- clear() : Oscl_Vector< T, Alloc >, Oscl_Rb_Tree< Key, Value, KeyOfValue, Compare, Alloc >, Oscl_TagTree< T, Alloc >, Oscl_Queue< T, Alloc >, Oscl_Queue_Base, Oscl_Map< Key, T, Alloc, Compare >, Oscl_Linked_List< LLClass, Alloc >
- Clear() : MediaData< ChainClass, max_frags, local_bufsize >, BufFragGroup< ChainClass, max_frags >, OsclTimer< Alloc >
- ClearTOS() : OsclSocketTOS
- Close() : OsclRegistryServTlsImpl, OsclRegistryClientImpl, OsclRegistryClient, OsclRegistryAccessClient, OsclSemaphore, OsclMutex, OsclUDPSocketI, OsclTCPSocketI, OsclSocketServRequestList, OsclSocketServI, OsclSocketServIBase, OsclSocketI, OsclSocketIBase, OsclTCPSocket, OsclUDPSocket, OsclSocketServ, OsclIPSocketI, Oscl_FileServer, OsclNativeFile, Oscl_File, Oscl_FileFind, OsclFileCache, OsclAsyncFile, OsclDNSI, OsclDNSIBase
- CloseSession() : OsclComponentRegistry
- color : Oscl_Rb_Tree_Node_Base
- color_type : Oscl_Rb_Tree_Node_Base
- comp : OsclPriorityQueue< Qelem, Alloc, Container, Compare >, Oscl_Map< Key, T, Alloc, Compare >::value_compare
- compare() : OsclCompareLess< T >, OsclTimerCompare, OsclReadyCompare
- compare_data() : Oscl_Opaque_Type_Alloc_LL
- compare_EQ() : OsclPriorityQueue< Qelem, Alloc, Container, Compare >, Oscl_Opaque_Type_Compare
- compare_LT() : OsclPriorityQueue< Qelem, Alloc, Container, Compare >, Oscl_Opaque_Type_Compare
- CompareId() : OsclThread
- Complete() : OsclSocketRequest, OsclDNSRequest
- Connect() : OsclRegistryServTlsImpl, OsclRegistryClientImpl, OsclRegistryClient, OsclRegistryAccessClient, OsclTCPSocketI, OsclSocketServI, OsclSocketServIBase, OsclSocketI, OsclSocketIBase, OsclConnectRequest, OsclConnectMethod, OsclTCPSocket, OsclSocketServ, Oscl_FileServer
- ConnectParam() : ConnectParam
- ConnectRequest() : OsclConnectMethod
- const_iterator : Oscl_TagTree< T, Alloc >::const_iterator, Oscl_Vector< T, Alloc >, Oscl_Rb_Tree< Key, Value, KeyOfValue, Compare, Alloc >, Oscl_Rb_Tree_Const_Iterator< Value >, Oscl_Map< Key, T, Alloc, Compare >
- const_pointer : Oscl_Rb_Tree< Key, Value, KeyOfValue, Compare, Alloc >, Oscl_TAlloc< T, Alloc >
- const_reference : OsclPriorityQueue< Qelem, Alloc, Container, Compare >, Oscl_Vector< T, Alloc >, Oscl_Rb_Tree< Key, Value, KeyOfValue, Compare, Alloc >, Oscl_Queue< T, Alloc >, Oscl_Map< Key, T, Alloc, Compare >, Oscl_TAlloc< T, Alloc >
- Construct() : OsclTimerQ, OsclReadyQ
- construct() : OsclPriorityQueueBase, Oscl_Vector_Base, Oscl_Queue_Base, Oscl_Opaque_Type_Alloc_LL, Oscl_Opaque_Type_Alloc, Oscl_Linked_List_Base, Oscl_TAlloc< T, Alloc >
- ConstructL() : OsclExecSchedulerCommonBase, OsclSocketRequestAO, OsclSocketMethod, OsclIPSocketI, OsclDNSRequestAO, OsclDNSMethod
- ConstructStatQ() : OsclExecSchedulerCommonBase
- container_type : OsclPriorityQueue< Qelem, Alloc, Container, Compare >
- Contains() : Oscl_File::OsclFixedCacheParam, OsclFileCacheBuffer
- count() : Oscl_Rb_Tree< Key, Value, KeyOfValue, Compare, Alloc >, Oscl_TagTree< T, Alloc >, Oscl_Map< Key, T, Alloc, Compare >
- CPVInterfaceProxy : OsclErrorTrapImp
- Create() : OsclThread, OsclSemaphore, OsclMutex, GetHostByNameParam
- createmempool() : OsclMemPoolFixedChunkAllocator
- CreatePVLogger() : PVLoggerRegistry
- createStatsNode() : MM_Audit_Imp
- CStackRep() : CStackRep
- Current() : OsclExecScheduler
- currentPos : OsclFileCacheBuffer

### - d -

- data : LinkedListElement< LLClass >
- data1 : OsclUuid
- data2 : OsclUuid
- data3 : OsclUuid
- data4 : OsclUuid
- deallocate() : MemAllocator< T >, OsclReadyAlloc, OsclMemPoolResizableAllocator, OsclMemPoolFixedChunkAllocator, OSCLMemAutoPtr< T, _Allocator >, OsclMemBasicAllocDestructDealloc< T >, OsclMemAllocDestructDealloc< T >, OsclMemBasicAllocator, OsclMemAllocator, OsclErrorAllocator, Oscl_Opaque_Type_Alloc_LL, Oscl_Opaque_Type_Alloc, Oscl_TAlloc< T, Alloc >, Oscl_DefAlloc, Oscl_Dealloc, _OsclBasicAllocator
- deallocateblock() : OsclMemPoolResizableAllocator
- decrement_refcnt() : BufferState
- Delete() : OsclAsyncFile, OsclBuf, Oscl_DefAllocWithRefCounter< DefAlloc >
- Depth() : OsclReadyQ
- depth() : Oscl_TagTree< T, Alloc >::Node
- dequeue_element() : Oscl_MTLinked_List< LLClass, Alloc, TheLock >, Oscl_Linked_List< LLClass, Alloc >
- Des() : OsclBuf
- DesC() : OsclBuf
- Destroy() : PVActiveBase, GetHostByNameParam, DNSRequestParam
- destroy() : Oscl_Vector< T, Alloc >, Oscl_Vector_Base, Oscl_Queue_Base, Oscl_Opaque_Type_Alloc_LL, Oscl_Opaque_Type_Alloc, Oscl_Linked_List_Base, Oscl_TAlloc< T, Alloc >
- destroyallmempoolbuffers() : OsclMemPoolResizableAllocator
- destroymempool() : OsclMemPoolFixedChunkAllocator
- destruct_and_dealloc() : OsclMemBasicAllocDestructDealloc< T >, OsclMemAllocDestructDealloc< T >, Oscl_TAlloc< T, Alloc >, OsclDestructDealloc
- difference_type : Oscl_Rb_Tree< Key, Value, KeyOfValue, Compare, Alloc >
- DIR_TYPE : Oscl_FileFind
- DisableAppenderInheritance() : PVLogger
- DiscardAcceptedSocket() : OsclAcceptMethod
- DNSRequestParam : DNSRequestParam, OsclDNSI
- DoCancel() : PVActiveBase, OsclTimerObject, OsclActiveObject, OsclSocketRequestAO, OsclDNSRequestAO

### - e -

- E_BUFFER_TOO_SMALL : Oscl_FileFind
- E_INVALID_ARG : Oscl_FileFind
- E_INVALID_STATE : Oscl_FileFind
- E_MEMORY_ERROR : Oscl_FileFind
- E_NO_MATCH : Oscl_FileFind
- E_NOT_IMPLEMENTED : Oscl_FileFind
- E_OK : Oscl_FileFind
- E_OTHER : Oscl_FileFind
- E_PATH_NOT_FOUND : Oscl_FileFind
- E_PATH_TOO_LONG : Oscl_FileFind
- element_type : Oscl_FileFind
- elems : Oscl_Vector_Base, Oscl_Queue_Base
- empty() : OsclPriorityQueue< Qelem, Alloc, Container, Compare >, Oscl_Vector_Base, Oscl_Rb_Tree< Key, Value, KeyOfValue, Compare, Alloc >, Oscl_TagTree< T, Alloc >, Oscl_Queue_Base, Oscl_Map< Key, T, Alloc, Compare >
- EMPTY_FRAGMENT : BufFragStatusClass
- enablenullpointerreturn() : OsclMemPoolResizableAllocator, OsclMemPoolFixedChunkAllocator
- End() : OsclFileStats
- end() : Oscl_Vector< T, Alloc >, Oscl_Rb_Tree< Key, Value, KeyOfValue, Compare, Alloc >, Oscl_TagTree< T, Alloc >, Oscl_Map< Key, T, Alloc, Compare >
- EndOfFile() : OsclNativeFile, Oscl_File, OsclFileCache, OsclAsyncFile
- endPos : OsclFileCacheBuffer
- EndScheduling() : OsclExecSchedulerCommonBase
- EndStats() : OsclExecSchedulerCommonBase
- EnterThreadContext() : PVThreadContext
- eof() : OsclBinStream
- EOF_STATE : OsclBinStream
- eOsclProcError : OsclProcStatus
- EOtherExecStats_Last : OsclExecSchedulerCommonBase
- EOtherExecStats_NativeOS : OsclExecSchedulerCommonBase
- EOtherExecStats_QueueTime : OsclExecSchedulerCommonBase
- EOtherExecStats_ReleaseTime : OsclExecSchedulerCommonBase
- EOtherExecStats_WaitTime : OsclExecSchedulerCommonBase
- EPriorityHigh : OsclActiveObject
- EPriorityHighest : OsclActiveObject
- EPriorityIdle : OsclActiveObject
- EPriorityLow : OsclActiveObject
- EPriorityNominal : OsclActiveObject
- EPVCritic_Ecp : OsclSocketTOS
- EPVFlash : OsclSocketTOS
- EPVHiRel : OsclSocketTOS
- EPVHiThrpt : OsclSocketTOS
- EPVImmediate : OsclSocketTOS
- EPVInetControl : OsclSocketTOS
- EPVLDelay : OsclSocketTOS
- EPVNetControl : OsclSocketTOS
- EPVNoTOS : OsclSocketTOS
- EPVOverrideFlash : OsclSocketTOS
- EPVPriority : OsclSocketTOS
- EPVRoutine : OsclSocketTOS
- equal_range() : Oscl_Rb_Tree< Key, Value, KeyOfValue, Compare, Alloc >, Oscl_Map< Key, T, Alloc, Compare >
- erase() : Oscl_Vector< T, Alloc >, Oscl_Vector_Base, Oscl_Rb_Tree< Key, Value, KeyOfValue, Compare, Alloc >, Oscl_TagTree< T, Alloc >, Oscl_Map< Key, T, Alloc, Compare >
- Error() : OsclExecSchedulerCommonBase
- error_type : Oscl_FileFind
- ESocketServ_Connected : OsclSocketServIBase
- ESocketServ_Error : OsclSocketServIBase
- ESocketServ_Idle : OsclSocketServIBase
- ESymbianAccessMode_Rfile : Oscl_File
- ESymbianAccessMode_RfileBuf : Oscl_File
- EXCEED_MAX_COUNT_VARIABLE_ERROR : OsclProcStatus
- EXCEED_MAX_SEM_COUNT_ERROR : OsclProcStatus
- Exit() : OsclThread
- ExitThreadContext() : PVThreadContext

### - f -

- fail() : OsclBinStream
- FAIL_STATE : OsclBinStream
- Failure() : OsclDNSRequestAO
- FILE_TYPE : Oscl_FileFind
- fileName : MM_AllocQueryInfo
- filePosition : OsclFileCacheBuffer
- FileSize() : OsclFileCache
- fill_fence() : MM_AllocBlockFence
- FillFromFile() : OsclFileCacheBuffer
- filter_status_type : AllPassFilter, PVLoggerFilter, PVLogger
- FilterOpaqueMessge() : AllPassFilter, PVLoggerFilter
- FilterString() : AllPassFilter, PVLoggerFilter
- find() : Oscl_Rb_Tree< Key, Value, KeyOfValue, Compare, Alloc >, Oscl_TagTree< T, Alloc >, Oscl_Map< Key, T, Alloc, Compare >
- Find() : OsclComponentRegistryData
- find_heap() : OsclPriorityQueue< Qelem, Alloc, Container, Compare >, OsclPriorityQueueBase
- FindExact() : OsclComponentRegistry
- FindFirst() : Oscl_FileFind
- findfreeblock() : OsclMemPoolResizableAllocator
- FindHierarchical() : OsclComponentRegistry
- FindNext() : Oscl_FileFind
- FindPVBase() : OsclExecSchedulerCommonBase
- first : Oscl_Pair< T1, T2 >
- firstFragPtr : OsclBinStream
- FIXED_FRAG_LOC_FULL : BufFragStatusClass
- Flush() : OsclNativeFile, Oscl_File, OsclFileCache, OsclAsyncFile
- FormatOpaqueMessage() : PVLoggerLayout
- FormatString() : PVLoggerLayout
- fragments : BufFragGroup< ChainClass, max_frags >
- fragsLeft : OsclBinStream
- freeblockavailable() : OsclMemPoolResizableAllocatorObserver
- freebytes : oscl_fsstat
- freechunkavailable() : OsclMemPoolFixedChunkAllocatorObserver
- freememoryavailable() : OsclMemPoolResizableAllocatorMemoryObserver
- front() : Oscl_Vector< T, Alloc >, Oscl_Queue< T, Alloc >
- Fxn() : OsclSocketRequest

### - g -

- get() : OsclBinIStream, OSCLMemAutoPtr< T, _Allocator >, OsclExclusivePtrA< T, Alloc >, OsclExclusiveArrayPtr< T >, OsclExclusivePtr< T >
- get_buf_mgr() : BufferState
- get_count() : OsclSharedPtr< TheClass >
- get_cstr() : OSCL_wFastString, OSCL_FastString, OSCL_wStackString< MaxBufSize >, OSCL_StackString< MaxBufSize >, OSCL_wHeapStringA, OSCL_HeapStringA, OSCL_wHeapString< Alloc >, OSCL_HeapString< Alloc >, OSCL_wString, OSCL_String
- get_data() : Oscl_Opaque_Type_Alloc_LL
- get_element() : Oscl_MTLinked_List< LLClass, Alloc, TheLock >, Oscl_Linked_List< LLClass, Alloc >, Oscl_Linked_List_Base
- get_first() : Oscl_Linked_List< LLClass, Alloc >, Oscl_Linked_List_Base
- get_free_function() : BufferState
- get_index() : Oscl_MTLinked_List< LLClass, Alloc, TheLock >, Oscl_Linked_List< LLClass, Alloc >, Oscl_Linked_List_Base
- get_int64_lower32() : Oscl_Int64_Utils
- get_int64_middle32() : Oscl_Int64_Utils
- get_int64_upper32() : Oscl_Int64_Utils
- get_ISO8601_str_time() : TimeValue
- get_local_time() : TimeValue
- get_lower32() : NTPTime
- get_maxsize() : OSCL_wFastString, OSCL_FastString, OSCL_wStackString< MaxBufSize >, OSCL_StackString< MaxBufSize >, OSCL_wHeapStringA, OSCL_HeapStringA, OSCL_wHeapString< Alloc >, OSCL_HeapString< Alloc >, OSCL_wString, OSCL_String
- get_middle32() : NTPTime
- get_next() : Oscl_Opaque_Type_Alloc_LL, Oscl_Linked_List< LLClass, Alloc >, Oscl_Linked_List_Base
- get_num_elements() : Oscl_Linked_List< LLClass, Alloc >
- get_ptr() : BufferState
- get_pv8601_str_time() : TimeValue
- get_refcount() : BufferState
- get_registry() : TLSStorageOps
- get_rfc822_gmtime_str() : TimeValue
- get_sec() : TimeValue
- get_size() : OSCL_wFastString, OSCL_FastString, OSCL_wStackString< MaxBufSize >, OSCL_StackString< MaxBufSize >, OSCL_wHeapStringA, OSCL_HeapStringA, OSCL_wHeapString< Alloc >, OSCL_HeapString< Alloc >, OSCL_wString, OSCL_String
- get_str() : OSCL_wFastString, OSCL_FastString, OSCL_wStackString< MaxBufSize >, OSCL_StackString< MaxBufSize >, OSCL_wHeapStringA, OSCL_HeapStringA, OSCL_wHeapString< Alloc >, OSCL_HeapString< Alloc >, OSCL_wString, OSCL_String
- get_str_ctime() : TimeValue
- get_timeval_ptr() : TimeValue
- get_timevalue_in_usec() : TimeValue
- get_uint64_lower32() : Oscl_Int64_Utils
- get_uint64_middle32() : Oscl_Int64_Utils
- get_uint64_upper32() : Oscl_Int64_Utils
- get_upper32() : NTPTime
- get_usec() : TimeValue
- get_value() : NTPTime
- GetAcceptedSocket() : OsclAcceptMethod
- GetAcceptedSocketL() : OsclTCPSocketI, OsclTCPSocket
- getAllocatedSize() : OsclMemPoolResizableAllocator
- getAuditRoot() : MM_Audit_Imp
- GetAvailableBufferSize() : MediaData< ChainClass, max_frags, local_bufsize >
- getAvailableSize() : OsclMemPoolResizableAllocator
- getBufferSize() : OsclMemPoolResizableAllocator
- GetBufferState() : BufFragGroup< ChainClass, max_frags >
- getCapacity() : OsclRefCounterMemFrag
- getCheckSum() : StrCSumPtrLen
- getCount() : OsclRefCounterMemFrag, Oscl_DefAllocWithRefCounter< DefAlloc >, OsclRefCounterMTSA< DeallocType, LockType >, OsclRefCounterMTDA< LockType >, OsclRefCounterSA< DeallocType >, OsclRefCounterDA, OsclRefCounter
- GetElementType() : Oscl_FileFind
- GetError() : OsclNativeFile, Oscl_File
- GetErrorTrapImp() : OsclErrorTrap
- GetFactories() : OsclRegistryServTlsImpl, OsclRegistryClientImpl, OsclRegistryAccessClient
- GetFactory() : OsclRegistryServTlsImpl, OsclRegistryClientImpl, OsclRegistryAccessClient
- GetFragment() : BufFragGroup< ChainClass, max_frags >
- getGlobalMemAuditObject() : OsclMemGlobalAuditObject
- getHead() : OsclDoubleListBase
- GetHostByName() : OsclDNSI, OsclDNSIBase, OsclGetHostByNameMethod, OsclDNS
- GetHostByNameParam : OsclDNSRequestAO
- GetHostByNameResponseContainsAliasInfo() : OsclDNSI, OsclDNSIBase
- GetHostByNameSuccess() : OsclDNSI, OsclDNSIBase
- GetId() : OsclThread, OsclExecSchedulerCommonBase
- getInstance() : OsclTLSRegistryEx, OsclTLSRegistry, OsclSingletonRegistry
- getLargestContiguousFreeBlockSize() : OsclMemPoolResizableAllocator
- GetLastError() : Oscl_FileFind
- getLeaveCode() : OsclException< LeaveCode >
- GetLength() : BufFragGroup< ChainClass, max_frags >
- GetLocalBufsize() : MediaData< ChainClass, max_frags, local_bufsize >
- GetLocalFragment() : MediaData< ChainClass, max_frags, local_bufsize >
- GetLock() : OsclMemAudit
- GetLoggerObject() : PVLogger
- GetLogLevel() : PVLogger
- GetMaxFrags() : BufFragGroup< ChainClass, max_frags >
- GetMediaFragment() : MediaData< ChainClass, max_frags, local_bufsize >
- GetMediaSize() : MediaData< ChainClass, max_frags, local_bufsize >
- getMemFrag() : OsclRefCounterMemFrag
- getMemFragPtr() : OsclRefCounterMemFrag
- getMemFragSize() : OsclRefCounterMemFrag
- getMemPoolBufferAllocatedSize() : OsclMemPoolResizableAllocator
- getMemPoolBufferSize() : OsclMemPoolResizableAllocator
- GetName() : OsclExecSchedulerCommonBase
- GetNext() : BufFragGroup< ChainClass, max_frags >
- GetNextHost() : OsclDNSI, OsclDNSIBase
- GetNextHostSuccess() : OsclDNSI, OsclDNSIBase
- GetNumAppenders() : PVLogger
- GetNumFrags() : BufFragGroup< ChainClass, max_frags >
- GetNumMediaFrags() : MediaData< ChainClass, max_frags, local_bufsize >
- getOffset() : OsclDoubleListBase
- GetParent() : PVLogger
- GetPeerName() : OsclSocketI, OsclTCPSocket, OsclUDPSocket, OsclIPSocketI
- GetPriority() : OsclThread
- GetPVLoggerObject() : PVLoggerRegistry
- GetPVLoggerRegistry() : PVLoggerRegistry
- GetReadAsyncNumElements() : OsclNativeFile
- GetRecvData() : OsclUDPSocketI, OsclTCPSocketI, OsclRecvFromRequest, OsclRecvFromMethod, OsclRecvRequest, OsclRecvMethod, OsclTCPSocket, OsclUDPSocket, OsclIPSocketI
- getRefCounter() : OsclRefCounterMemFrag
- GetRefCounter() : OsclSharedPtr< TheClass >
- GetRep() : OsclSharedPtr< TheClass >
- GetScheduler() : OsclExecSchedulerCommonBase
- GetSendData() : OsclUDPSocketI, OsclTCPSocketI, OsclSendToRequest, OsclSendToMethod, OsclSendRequest, OsclSendMethod, OsclTCPSocket, OsclUDPSocket, OsclIPSocketI
- GetShutdown() : OsclSocketIBase
- getSize() : MM_Audit_Imp
- GetSocketError() : OsclSocketRequestAO, OsclDNSRequestAO
- getTagActualSize() : MM_Audit_Imp
- GetTimestamp() : MediaData< ChainClass, max_frags, local_bufsize >
- GetTOS() : OsclSocketTOS
- good() : OsclBinStream
- GOOD_STATE : OsclBinStream

### - h -

- Handle() : Oscl_File, OsclFileHandle
- HandleDNSEvent() : OsclDNSObserver
- HandleSocketEvent() : OsclSocketObserver
- HasAsyncBind() : OsclSocketIBase
- HasAsyncListen() : OsclSocketIBase
- HasAsyncRead() : OsclNativeFile
- hash() : OSCL_wString, OSCL_String
- HasThisOffset() : OsclAsyncFileBuffer
- HaveRoomInCurrentBlock() : OsclBinStream
- Head() : OsclPriorityList< T >, OsclDoubleList< T >
- head : Oscl_Linked_List_Base
- HeapBase() : HeapBase

### - i -

- iActive : OsclDNSRequest
- iAddedNum : PVActiveBase
- iAddr : ConnectParam, BindParam, RecvFromParam, SendToParam, GetHostByNameParam
- iAddress : OsclIPSocketI
- iAddressList : GetHostByNameParam
- iAlloc : OsclExecSchedulerCommonBase, OsclSocketServIBase, OsclSocketIBase, OsclIPSocketI, OsclDNSMethod, OsclDNSIBase
- iAllocatedSz : OsclMemPoolResizableAllocator::MemPoolBufferInfo
- iAOPriority : TReadyQueLink
- iAsyncReadBufferSize : OsclNativeFileParams
- iBlankSocket : AcceptParam
- iBlockBuffer : OsclMemPoolResizableAllocator::MemPoolBlockInfo
- iBlockInfoAlignedSize : OsclMemPoolResizableAllocator
- iBlockingMode : OsclExecSchedulerCommonBase
- iBlockPostFence : OsclMemPoolResizableAllocator::MemPoolBlockInfo
- iBlockPreFence : OsclMemPoolResizableAllocator::MemPoolBlockInfo
- iBlockSize : OsclMemPoolResizableAllocator::MemPoolBlockInfo
- iBuffer : OsclBuf
- iBufferInfoAlignedSize : OsclMemPoolResizableAllocator
- iBufferPostFence : OsclMemPoolResizableAllocator::MemPoolBufferInfo
- iBufferPreFence : OsclMemPoolResizableAllocator::MemPoolBufferInfo
- iBufferSize : OsclMemPoolResizableAllocator::MemPoolBufferInfo
- iBufRecv : RecvFromParam, RecvParam
- iBufSend : SendToParam, SendParam
- iBusy : PVActiveBase
- iCancel : OsclSocketServRequestQElem
- iCBase : OsclTrapStackItem
- iCheckFreeMemoryAvailable : OsclMemPoolResizableAllocator
- iCheckNextAvailable : OsclMemPoolResizableAllocator
- iCheckNextAvailableFreeChunk : OsclMemPoolFixedChunkAllocator
- iChunkAlignment : OsclMemPoolFixedChunkAllocator
- iChunkSize : OsclMemPoolFixedChunkAllocator
- iChunkSizeMemAligned : OsclMemPoolFixedChunkAllocator
- iComponentId : OsclComponentRegistryElement
- iComponentIdCounter : OsclComponentRegistry
- iContainer : OsclSocketRequestAO, OsclSocketMethod, OsclFileCacheBuffer
- Id() : PVThreadContext, OsclSocketRequestAO, OsclAsyncFileBuffer
- iData : OsclComponentRegistry
- iDebugLogger : OsclExecSchedulerCommonBase
- iDefAlloc : OsclExecSchedulerCommonBase
- iDelta : OsclExecSchedulerCommonBase
- iDNSFxn : OsclDNSMethod
- iDNSI : OsclDNSRequestAO
- iDNSMethod : OsclDNSRequestAO
- iDNSObserver : OsclDNSMethod
- iDNSRequest : DNSRequestParam
- iDNSRequestAO : OsclDNSRequest, OsclDNSMethod
- iDNSRequestParam : OsclDNSRequest
- iDoStop : OsclExecSchedulerCommonBase
- iDoSuspend : OsclExecSchedulerCommonBase
- iEnableNullPtrReturn : OsclMemPoolResizableAllocator, OsclMemPoolFixedChunkAllocator
- iEndAddr : OsclMemPoolResizableAllocator::MemPoolBufferInfo
- iErrAlloc : OsclSelect
- iErrorTrapImp : OsclExecSchedulerCommonBase
- iExecTimerQ : OsclExecSchedulerCommonBase
- iExpectedNumBlocksPerBuffer : OsclMemPoolResizableAllocator
- iFactory : OsclComponentRegistryElement, OsclRegistryAccessElement
- iFilePosition : Oscl_File::OsclFixedCacheParam
- iFlags : RecvFromParam, RecvParam, SendToParam, SendParam
- iFreeMemChunkList : OsclMemPoolFixedChunkAllocator
- iFreeMemContextData : OsclMemPoolResizableAllocator
- iFreeMemPoolObserver : OsclMemPoolResizableAllocator
- ifront : Oscl_Queue_Base
- iFxn : SocketRequestParam, DNSRequestParam
- iGrandTotalTicks : OsclExecSchedulerCommonBase
- iHead : OsclDoubleRunner< T >, OsclDoubleListBase
- iHeapCheck : OsclSelect
- iHigh : OsclInteger64Transport
- iHow : ShutdownParam
- iId : OsclComponentRegistryElement, OsclIPSocketI, OsclDNSMethod
- iIsIn : TReadyQueLink
- iJumpData : OsclErrorTrapImp
- iLeave : OsclErrorTrapImp
- iLen : PVSockBufRecv, PVSockBufSend
- iLength : OsclBuf
- iLogger : OsclExecSchedulerCommonBase, OsclSocketServIBase, OsclIPSocketI, OsclDNSRequestAO, OsclDNSMethod
- iLogPerfIndentStr : OsclExecSchedulerCommonBase
- iLogPerfIndentStrLen : OsclExecSchedulerCommonBase
- iLogPerfTotal : OsclExecSchedulerCommonBase
- iLow : OsclInteger64Transport
- iMaxLen : PVSockBufRecv
- iMaxLength : OsclBuf
- iMaxNewMemPoolBufferSz : OsclMemPoolResizableAllocator
- iMemPool : OsclMemPoolFixedChunkAllocator
- iMemPoolAligned : OsclMemPoolFixedChunkAllocator
- iMemPoolAllocator : OsclMemPoolFixedChunkAllocator
- iMemPoolBufferAllocator : OsclMemPoolResizableAllocator
- iMemPoolBufferList : OsclMemPoolResizableAllocator
- iMemPoolBufferNumLimit : OsclMemPoolResizableAllocator
- iMemPoolBufferSize : OsclMemPoolResizableAllocator
- iMimeString : OsclRegistryAccessElement
- iMultiMaxLen : RecvFromParam
- iMutex : OsclComponentRegistry
- iName : PVActiveBase, OsclExecSchedulerCommonBase, GetHostByNameParam
- iNativeAccessMode : OsclNativeFileParams
- iNativeBufferSize : OsclNativeFileParams
- iNativeMode : OsclExecSchedulerCommonBase
- IncLogPerf() : OsclExecSchedulerCommonBase
- increment_refcnt() : BufferState
- iNext : OsclDoubleRunner< T >, OsclDoubleLink, OsclTrapStackItem
- iNextAvailableContextData : OsclMemPoolResizableAllocator, OsclMemPoolFixedChunkAllocator
- iNextFreeBlock : OsclMemPoolResizableAllocator::MemPoolBlockInfo, OsclMemPoolResizableAllocator::MemPoolBufferInfo
- Init() : OsclScheduler, OsclInit, OsclMem, OsclErrorTrap, PVLogger
- InitExecQ() : OsclExecSchedulerCommonBase
- Insert() : OsclPriorityList< T >, OsclDoubleListBase
- insert() : Oscl_Vector< T, Alloc >, Oscl_Vector_Base, Oscl_TagTree< T, Alloc >, Oscl_Map< Key, T, Alloc, Compare >
- insert_element() : Oscl_Linked_List< LLClass, Alloc >, Oscl_Linked_List_Base
- insert_unique() : Oscl_Rb_Tree< Key, Value, KeyOfValue, Compare, Alloc >
- InsertAfter() : OsclDoubleLink
- InsertBefore() : OsclDoubleLink
- InsertHead() : OsclDoubleList< T >, OsclDoubleListBase
- InsertTail() : OsclDoubleList< T >, OsclDoubleListBase
- InstallScheduler() : OsclExecSchedulerCommonBase
- interfaceAddr : OsclIpMReq
- INTERNAL_ERROR : BufFragStatusClass
- InThread() : DNSRequestParam
- iNumAOAdded : OsclExecSchedulerCommonBase
- iNumChunk : OsclMemPoolFixedChunkAllocator
- iNumOfRun : OsclAsyncFile
- iNumOfRunErr : OsclAsyncFile
- iNumOutstanding : OsclMemPoolResizableAllocator::MemPoolBufferInfo
- iNumSessions : OsclComponentRegistry
- INVALID_ACCESS_ERROR : OsclProcStatus
- INVALID_ARGUMENT_ERROR : OsclProcStatus
- INVALID_FUNCTION_ERROR : OsclProcStatus
- INVALID_HANDLE_ERROR : OsclProcStatus
- INVALID_ID : BufFragStatusClass
- INVALID_OPERATION_ERROR : OsclProcStatus
- INVALID_PARAM_ERROR : OsclProcStatus
- INVALID_POINTER_ERROR : OsclProcStatus
- INVALID_PRIORITY_ERROR : OsclProcStatus
- INVALID_THREAD_ERROR : OsclProcStatus
- INVALID_THREAD_ID_ERROR : OsclProcStatus
- INVALID_TYPE : Oscl_FileFind
- iObserver : OsclMemPoolResizableAllocator, OsclMemPoolFixedChunkAllocator, OsclIPSocketI
- iOffset : OsclDoubleRunner< T >, OsclDoubleListBase
- iOpCount : OsclFileStatsItem
- iOsclBase : OsclSelect
- iOsclErrorTrap : OsclSelect
- iOsclLogger : OsclSelect
- iOsclMemory : OsclSelect
- iOsclScheduler : OsclSelect
- iOtherExecStats : OsclExecSchedulerCommonBase
- iOutputFile : OsclSelect
- iPacketLen : RecvFromParam
- iPacketSource : RecvFromParam
- ipAddr : OsclNetworkAddress
- iParam : OsclSocketRequest, OsclSocketRequestAO, OsclFileStatsItem
- iParam2 : OsclFileStatsItem
- iParamSize : OsclSocketRequestAO
- iParentBuffer : OsclMemPoolResizableAllocator::MemPoolBlockInfo
- iPrev : OsclDoubleLink
- iPrevFreeBlock : OsclMemPoolResizableAllocator::MemPoolBlockInfo
- iPriority : OsclPriorityLink
- iPtr : PVSockBufRecv, PVSockBufSend
- iPVActiveStats : PVActiveBase
- iPVReadyQLink : PVActiveBase
- iPVStatQ : OsclExecSchedulerCommonBase
- iPVStats : OsclExecSchedulerCommonBase
- iQSize : ListenParam
- iReadyQ : OsclExecSchedulerCommonBase
- irear : Oscl_Queue_Base
- iRefCount : OsclMemPoolResizableAllocator, OsclMemPoolFixedChunkAllocator, DNSRequestParam
- iRequestedAvailableFreeMemSize : OsclMemPoolResizableAllocator
- iRequestedNextAvailableSize : OsclMemPoolResizableAllocator
- iResumeSem : OsclExecSchedulerCommonBase
- is_writable() : OSCL_wString, OSCL_String
- is_zero() : TimeValue
- is_zulu() : TimeValue
- IsActive() : PVLogger
- IsAdded() : PVActiveBase
- isAllocNodePtr() : MM_AllocBlockHdr
- IsBusy() : OsclTimerObject, OsclActiveObject
- iSchedulerAlloc : OsclSelect
- iSchedulerName : OsclSelect
- iSchedulerReserve : OsclSelect
- isCIEquivalentTo() : StrCSumPtrLen, WStrPtrLen, StrPtrLen
- isCIPrefixOf() : StrPtrLen
- iSelect : OsclSocketServRequestQElem
- IsEmpty() : OsclDoubleListBase
- iSeqNum : TReadyQueLink
- iServError : OsclSocketServIBase
- iServState : OsclSocketServIBase
- isFixed : OsclFileCacheBuffer
- IsHead() : OsclPriorityList< T >, OsclDoubleList< T >
- IsIn() : OsclTimerQ, OsclReadyQ
- IsInAnyQ() : PVActiveBase
- IsInstalled() : OsclExecSchedulerCommonBase
- IsInUse() : OsclAsyncFileBuffer
- iSize : Oscl_File::OsclFixedCacheParam
- isLetter() : StrPtrLen
- IsLocalData() : MediaData< ChainClass, max_frags, local_bufsize >
- iSocket : OsclIPSocketI
- iSocketError : OsclSocketRequestAO, OsclDNSRequestAO
- iSocketFxn : OsclSocketMethod
- iSocketI : OsclSocketRequest
- iSocketRequest : OsclSocketServRequestQElem
- iSocketRequestAO : OsclSocketRequest, OsclSocketMethod
- iSocketServ : OsclSocketIBase, OsclIPSocketI, OsclDNSIBase
- IsOpen() : OsclSocketIBase
- IsReady() : OsclDNSIBase
- IsSameThreadContext() : PVThreadContext
- IsServConnected() : OsclSocketServIBase
- IsServerThread() : OsclSocketServI
- isSetFailure() : MM_Audit_Imp
- IsStarted() : OsclExecSchedulerCommonBase
- IsTail() : OsclPriorityList< T >, OsclDoubleList< T >
- iStartAddr : OsclMemPoolResizableAllocator::MemPoolBufferInfo
- iStartTick : OsclFileStatsItem
- iStatus : PVActiveBase
- iStopper : OsclExecSchedulerCommonBase
- iStopperCrit : OsclExecSchedulerCommonBase
- IsUpdated() : OsclFileCacheBuffer
- iSuspended : OsclExecSchedulerCommonBase
- IsValid() : OsclAsyncFileBuffer
- iTAny : OsclTrapStackItem
- iterator : Oscl_TagTree< T, Alloc >::iterator, OsclPriorityQueue< Qelem, Alloc, Container, Compare >, Oscl_Vector< T, Alloc >, Oscl_Rb_Tree< Key, Value, KeyOfValue, Compare, Alloc >, Oscl_Rb_Tree_Iterator< Value >, Oscl_Map< Key, T, Alloc, Compare >, Oscl_Linked_List_Base
- iThreadContext : PVActiveBase, OsclExecSchedulerCommonBase
- iTime : OsclExecSchedulerCommonBase
- iTimeCompareThreshold : OsclExecSchedulerCommonBase
- iTimeQueuedTicks : TReadyQueLink
- iTimeToRunTicks : TReadyQueLink
- iTotalPercent : OsclExecSchedulerCommonBase
- iTotalTicks : OsclFileStatsItem
- iTotalTicksTemp : OsclExecSchedulerCommonBase
- iTrapOperation : OsclTrapStackItem
- iTrapStack : OsclErrorTrapImp
- iVec : OsclComponentRegistryData
- iXferLen : SendToParam, SendParam

### - j -

- Join() : OsclSocketI, OsclSocketIBase, OsclUDPSocket, OsclIPSocketI
- JoinMulticastGroup() : OsclUDPSocketI, OsclUDPSocket
- Jump() : OsclJump

### - k -

- key_comp() : Oscl_Map< Key, T, Alloc, Compare >
- key_compare : Oscl_Map< Key, T, Alloc, Compare >
- key_type : Oscl_Rb_Tree< Key, Value, KeyOfValue, Compare, Alloc >, Oscl_Map< Key, T, Alloc, Compare >

### - l -

- largeasyncfilereadwrite_test : Oscl_File
- Leave() : OsclError
- LeaveIfError() : OsclError
- LeaveIfNull() : OsclError
- Left() : OsclPtrC
- left : Oscl_Rb_Tree_Node_Base
- len : WStrPtrLen, StrPtrLen, OsclMemoryFragment
- Length() : OsclAsyncFileBuffer, OsclBuf, OsclPtr, OsclPtrC
- length : WStrPtrLen, StrPtrLen, BufFragGroup< ChainClass, max_frags >, OsclBinStream
- lineNo : MM_AllocInfo, MM_AllocQueryInfo
- link_type : Oscl_Rb_Tree< Key, Value, KeyOfValue, Compare, Alloc >, Oscl_Rb_Tree_Const_Iterator< Value >, Oscl_Rb_Tree_Iterator< Value >, Oscl_Rb_Tree_Node< Value >
- LinkedListElement() : LinkedListElement< LLClass >
- Listen() : OsclTCPSocketI, OsclListenRequest, OsclListenMethod, OsclSocketI, OsclSocketIBase, OsclTCPSocket
- ListenAsync() : OsclTCPSocketI, OsclSocketIBase, OsclTCPSocket
- ListenParam() : ListenParam
- ListenRequest() : OsclListenMethod
- localbuf : MediaData< ChainClass, max_frags, local_bufsize >
- Lock() : OsclThreadLock, OsclMutex, OsclNullLock, OsclLockBase
- lockAndGetInstance() : OsclSingletonRegistry
- Log() : OsclFileStats
- log_level_type : PVLoggerRegistry, AllPassFilter, PVLoggerFilter, PVLogger
- LogAll() : OsclFileStats
- Logger() : OsclSocketI
- LogMsgBuffers() : PVLogger
- LogMsgBuffersV() : PVLogger
- LogMsgString() : PVLogger
- LogMsgStringV() : PVLogger
- LoopbackSocket : OsclSocketServI
- lower_bound() : Oscl_Rb_Tree< Key, Value, KeyOfValue, Compare, Alloc >, Oscl_Map< Key, T, Alloc, Compare >

### - m -

- MakeAddr() : OsclSocketI
- MakeMulticastGroupInformation() : OsclSocketI
- makeValidTag() : MM_Audit_Imp
- map_type : Oscl_TagTree< T, Alloc >
- mapit : Oscl_TagTree< T, Alloc >::const_iterator, Oscl_TagTree< T, Alloc >::iterator
- mapiter : Oscl_TagTree< T, Alloc >::const_iterator, Oscl_TagTree< T, Alloc >::iterator
- Match() : OsclComponentRegistryElement
- max_size() : Oscl_Rb_Tree< Key, Value, KeyOfValue, Compare, Alloc >, Oscl_Map< Key, T, Alloc, Compare >
- MAX_THRDS_REACHED_ERROR : OsclProcStatus
- maximum() : Oscl_Rb_Tree_Node_Base
- MaxLen() : OsclNameString< __len >
- maxsize : CFastRep, CStackRep, CHeapRep
- MediaData() : MediaData< ChainClass, max_frags, local_bufsize >
- memoryPoolBufferMgmtOverhead() : OsclMemPoolResizableAllocator
- message_id_type : PVLoggerAppender, AllPassFilter, PVLoggerFilter, PVLoggerLayout, PVLogger
- MethodDone() : OsclSocketMethod, OsclDNSMethod
- minimum() : Oscl_Rb_Tree_Node_Base
- MM_AddTag() : OsclMemAudit, MM_Audit_Imp
- MM_allocate() : OsclMemAudit, MM_Audit_Imp
- MM_AllocBlockFence() : MM_AllocBlockFence
- MM_AllocBlockHdr() : MM_AllocBlockHdr
- MM_AllocInfo() : MM_AllocInfo
- MM_AllocNode() : MM_AllocNode
- MM_Audit_Imp() : MM_Audit_Imp
- MM_CreateAllocNodeInfo() : OsclMemAudit, MM_Audit_Imp
- MM_deallocate() : OsclMemAudit, MM_Audit_Imp
- MM_FailInsertParam() : MM_FailInsertParam
- MM_GetAllocNo() : OsclMemAudit, MM_Audit_Imp
- MM_GetAllocNodeInfo() : OsclMemAudit, MM_Audit_Imp
- MM_GetExistingTag() : OsclMemAudit, MM_Audit_Imp
- MM_GetMode() : OsclMemAudit, MM_Audit_Imp
- MM_GetNumAllocNodes() : OsclMemAudit, MM_Audit_Imp
- MM_GetOverheadStats() : OsclMemAudit, MM_Audit_Imp
- MM_GetPostfillPattern() : OsclMemAudit, MM_Audit_Imp
- MM_GetPrefillPattern() : OsclMemAudit, MM_Audit_Imp
- MM_GetRefCount() : OsclMemAudit
- MM_GetRootNode() : OsclMemAudit, MM_Audit_Imp
- MM_GetStats() : OsclMemAudit, MM_Audit_Imp
- MM_GetStatsInDepth() : OsclMemAudit, MM_Audit_Imp
- MM_GetTagNode() : OsclMemAudit, MM_Audit_Imp
- MM_GetTreeNodes() : OsclMemAudit, MM_Audit_Imp
- MM_ReleaseAllocNodeInfo() : OsclMemAudit, MM_Audit_Imp
- MM_SetFailurePoint() : OsclMemAudit, MM_Audit_Imp
- MM_SetMode() : OsclMemAudit, MM_Audit_Imp
- MM_SetPostfillPattern() : OsclMemAudit, MM_Audit_Imp
- MM_SetPrefillPattern() : OsclMemAudit, MM_Audit_Imp
- MM_SetTagLevel() : OsclMemAudit, MM_Audit_Imp
- MM_Stats_CB() : MM_Stats_CB
- MM_Stats_t() : MM_Stats_t
- MM_UnsetFailurePoint() : OsclMemAudit, MM_Audit_Imp
- MM_Validate() : OsclMemAudit, MM_Audit_Imp
- Mode() : OsclNativeFile
- mode : oscl_stat_buf
- MODE_APPEND : Oscl_File
- MODE_BINARY : Oscl_File
- MODE_READ : Oscl_File
- MODE_READ_PLUS : Oscl_File
- MODE_READWRITE : Oscl_File
- MODE_TEXT : Oscl_File
- mode_type : Oscl_File
- move_to_end() : Oscl_MTLinked_List< LLClass, Alloc, TheLock >, Oscl_Linked_List< LLClass, Alloc >, Oscl_Linked_List_Base
- move_to_front() : Oscl_MTLinked_List< LLClass, Alloc, TheLock >, Oscl_Linked_List< LLClass, Alloc >, Oscl_Linked_List_Base
- MsecToTicks() : OsclTickCount
- multicastAddr : OsclIpMReq
- MUTEX_LOCKED_ERROR : OsclProcStatus

### - n -

- nAllocNum : MM_FailInsertParam
- New() : Oscl_DefAllocWithRefCounter< DefAlloc >
- NewL() : OsclUDPSocketI, OsclTCPSocketI, OsclShutdownMethod, OsclSocketServI, OsclSendToMethod, OsclSendMethod, OsclRecvFromMethod, OsclRecvMethod, OsclListenMethod, OsclSocketI, OsclConnectMethod, OsclBindMethod, OsclAcceptMethod, OsclTCPSocket, OsclUDPSocket, OsclSocketServ, OsclAsyncFile, OsclAsyncFileBuffer, OsclBuf, OsclDNSI, OsclGetHostByNameMethod, OsclDNS
- NewRequest() : OsclSocketRequestAO, OsclDNSRequestAO
- next : BufFragGroup< ChainClass, max_frags >, LinkedListElement< LLClass >
- nextFragPtr : OsclBinStream
- NO_PERMISSION_ERROR : OsclProcStatus
- node : Oscl_Rb_Tree_Const_Iterator< Value >, Oscl_Rb_Tree_Iterator< Value >
- Node() : Oscl_TagTree< T, Alloc >::Node
- node_ptr : Oscl_TagTree< T, Alloc >
- node_type : Oscl_TagTree< T, Alloc >
- NOT_ENOUGH_MEMORY_ERROR : OsclProcStatus
- NOT_ENOUGH_RESOURCES_ERROR : OsclProcStatus
- NOT_ENOUGH_SPACE : BufFragStatusClass
- NOT_IMPLEMENTED : OsclProcStatus
- NOT_SUSPENDED_ERROR : OsclProcStatus
- notifyfreeblockavailable() : OsclMemPoolResizableAllocator
- notifyfreechunkavailable() : OsclMemPoolFixedChunkAllocator
- notifyfreememoryavailable() : OsclMemPoolResizableAllocator
- NTPTime : NTPTime, TimeValue
- NULL_INPUT : BufFragStatusClass
- num_child_nodes : MM_Stats_CB
- num_elements : Oscl_Linked_List_Base
- num_fragments : BufFragGroup< ChainClass, max_frags >
- num_reserved_fragments : MediaData< ChainClass, max_frags, local_bufsize >
- numAllocFails : MM_Stats_t
- numAllocs : MM_Stats_t
- numBytes : MM_Stats_t
- numelems : Oscl_Vector_Base, Oscl_Queue_Base
- numFrags : OsclBinStream

### - o -

- Offset() : OsclAsyncFileBuffer
- Open() : OsclSocketServRequestList, OsclSocketI, OsclSocketIBase, OsclNativeFile, Oscl_File, OsclFileCache, OsclAsyncFile, OsclDNSI, OsclDNSIBase
- OpenSession() : OsclComponentRegistry
- operator *() : OSCLMemAutoPtr< T, _Allocator >, OsclTLSEx< T, ID, Registry >, Oscl_Rb_Tree_Const_Iterator< Value >, Oscl_Rb_Tree_Iterator< Value >, OsclTLS< T, ID, Registry >, Oscl_TagTree< T, Alloc >::const_iterator, Oscl_TagTree< T, Alloc >::iterator, OsclSingleton< T, ID, Registry >, OsclSharedPtr< TheClass >, OsclExclusivePtrA< T, Alloc >, OsclExclusiveArrayPtr< T >, OsclExclusivePtr< T >
- operator *=() : TimeValue
- operator delete() : MM_AllocNode, MM_AllocInfo, MM_Stats_CB, OsclMemStatsNode, MM_FailInsertParam, MM_Stats_t, OsclErrorAllocator
- operator new() : MM_AllocNode, MM_AllocInfo, MM_Stats_CB, OsclMemStatsNode, MM_FailInsertParam, MM_Stats_t, OsclErrorAllocator
- operator T *() : OsclDoubleRunner< T >
- operator TheClass *() : OsclSharedPtr< TheClass >
- operator!=() : OSCL_wString, OSCL_String, StrCSumPtrLen, WStrPtrLen, StrPtrLen, OsclAOStatus, OsclUuid, Oscl_Rb_Tree_Const_Iterator< Value >, Oscl_Rb_Tree_Iterator< Value >, TimeValue, Oscl_TagTree< T, Alloc >::const_iterator, Oscl_TagTree< T, Alloc >::iterator
- operator()() : Oscl_Tag_Base, Oscl_Map< Key, T, Alloc, Compare >::value_compare, Oscl_Select1st< V, U >, Oscl_Less< T >
- operator++() : OsclDoubleRunner< T >, Oscl_Rb_Tree_Const_Iterator< Value >, Oscl_Rb_Tree_Iterator< Value >, Oscl_TagTree< T, Alloc >::const_iterator, Oscl_TagTree< T, Alloc >::iterator
- operator+=() : OSCL_wString, OSCL_String, TimeValue, NTPTime
- operator-() : NTPTime
- operator--() : OsclDoubleRunner< T >, Oscl_Rb_Tree_Const_Iterator< Value >, Oscl_Rb_Tree_Iterator< Value >, Oscl_TagTree< T, Alloc >::const_iterator, Oscl_TagTree< T, Alloc >::iterator
- operator-=() : TimeValue
- operator->() : OSCLMemAutoPtr< T, _Allocator >, OsclTLSEx< T, ID, Registry >, Oscl_Rb_Tree_Const_Iterator< Value >, Oscl_Rb_Tree_Iterator< Value >, OsclTLS< T, ID, Registry >, Oscl_TagTree< T, Alloc >::const_iterator, Oscl_TagTree< T, Alloc >::iterator, OsclSingleton< T, ID, Registry >, OsclSharedPtr< TheClass >, OsclExclusivePtrA< T, Alloc >, OsclExclusiveArrayPtr< T >, OsclExclusivePtr< T >
- operator<() : OSCL_wString, OSCL_String, OsclAOStatus, TimeValue, Oscl_Tag< Alloc >
- operator<<() : OsclBinOStreamBigEndian, OsclBinOStreamLittleEndian
- operator<= : OSCL_wString, OSCL_String, OsclAOStatus, TimeValue
- operator=() : OSCL_wFastString, OSCL_FastString, OSCL_wStackString< MaxBufSize >, OSCL_StackString< MaxBufSize >, OSCL_wHeapStringA, OSCL_HeapStringA, OSCL_wHeapString< Alloc >, OSCL_HeapString< Alloc >, OSCL_wString, OSCL_String, StrCSumPtrLen, WStrPtrLen, StrPtrLen, OsclComponentRegistryElement, OsclAOStatus, OSCLMemAutoPtr< T, _Allocator >, Oscl_Vector< T, Alloc >, OsclUuid, Oscl_Rb_Tree< Key, Value, KeyOfValue, Compare, Alloc >, TimeValue, NTPTime, Oscl_TagTree< T, Alloc >, OsclSharedPtr< TheClass >, OsclRefCounterMemFrag, Oscl_Map< Key, T, Alloc, Compare >, OsclExclusivePtrA< T, Alloc >, OsclExclusiveArrayPtr< T >, OsclExclusivePtr< T >
- operator==() : OSCL_wString, OSCL_String, StrCSumPtrLen, WStrPtrLen, StrPtrLen, OsclAOStatus, OsclNetworkAddress, OsclUuid, Oscl_Rb_Tree_Const_Iterator< Value >, Oscl_Rb_Tree_Iterator< Value >, TimeValue, Oscl_TagTree< T, Alloc >::const_iterator, Oscl_TagTree< T, Alloc >::iterator, OsclSharedPtr< TheClass >
- operator> : OSCL_wString, OSCL_String, OsclAOStatus, TimeValue
- operator>= : OSCL_wString, OSCL_String, OsclAOStatus, TimeValue
- operator>>() : OsclBinIStreamBigEndian, OsclBinIStreamLittleEndian
- operator[]() : OSCL_wString, OSCL_String, Oscl_Vector< T, Alloc >, Oscl_TagTree< T, Alloc >, Oscl_Map< Key, T, Alloc, Compare >
- optype : OSCL_wFastString, OSCL_FastString, OSCL_wStackString< MaxBufSize >, OSCL_StackString< MaxBufSize >, OSCL_wHeapStringA, OSCL_HeapStringA, OSCL_wHeapString< Alloc >, OSCL_HeapString< Alloc >
- Oscl_DeleteFile() : Oscl_FileServer
- OSCL_FastString() : OSCL_FastString
- Oscl_File : Oscl_File, Oscl_FileServer, OsclFileHandle
- OSCL_FILE_ATTRIBUTE_ARCHIVE : OsclFileManager
- OSCL_FILE_ATTRIBUTE_DIRECTORY : OsclFileManager
- OSCL_FILE_ATTRIBUTE_HIDDEN : OsclFileManager
- OSCL_FILE_ATTRIBUTE_NORMAL : OsclFileManager
- OSCL_FILE_ATTRIBUTE_READONLY : OsclFileManager
- OSCL_FILE_ATTRIBUTE_SYSTEM : OsclFileManager
- OSCL_FILE_ATTRIBUTE_TYPE : OsclFileManager
- Oscl_FileFind() : Oscl_FileFind
- Oscl_FileServer() : Oscl_FileServer
- OSCL_HeapString() : OSCL_HeapString< Alloc >
- OSCL_HeapStringA() : OSCL_HeapStringA
- Oscl_Linked_List() : Oscl_Linked_List< LLClass, Alloc >
- Oscl_Map() : Oscl_Map< Key, T, Alloc, Compare >
- Oscl_Map< Key, T, Alloc, Compare > : Oscl_Map< Key, T, Alloc, Compare >::value_compare
- Oscl_MTLinked_List() : Oscl_MTLinked_List< LLClass, Alloc, TheLock >
- Oscl_Pair() : Oscl_Pair< T1, T2 >
- oscl_priqueue_test : OsclPriorityQueue< Qelem, Alloc, Container, Compare >
- Oscl_Queue() : Oscl_Queue< T, Alloc >
- Oscl_Rb_Tree() : Oscl_Rb_Tree< Key, Value, KeyOfValue, Compare, Alloc >
- Oscl_Rb_Tree_Const_Iterator() : Oscl_Rb_Tree_Const_Iterator< Value >
- Oscl_Rb_Tree_Iterator() : Oscl_Rb_Tree_Iterator< Value >
- OSCL_StackString() : OSCL_StackString< MaxBufSize >
- OSCL_String : OSCL_String, OSCL_FastString, OSCL_StackString< MaxBufSize >, OSCL_HeapStringA, OSCL_HeapString< Alloc >
- Oscl_Tag() : Oscl_Tag< Alloc >
- Oscl_TagTree() : Oscl_TagTree< T, Alloc >
- Oscl_Vector() : Oscl_Vector< T, Alloc >
- OSCL_wFastString() : OSCL_wFastString
- OSCL_wHeapString() : OSCL_wHeapString< Alloc >
- OSCL_wHeapStringA() : OSCL_wHeapStringA
- OSCL_wStackString() : OSCL_wStackString< MaxBufSize >
- OSCL_wString : OSCL_wString, OSCL_wFastString, OSCL_wStackString< MaxBufSize >, OSCL_wHeapStringA, OSCL_wHeapString< Alloc >
- OsclAcceptRequest : OsclAcceptRequest, OsclSocketI
- OsclActiveObject : OsclActiveObject, PVThreadContext, PVActiveBase, PVActiveStats, OsclExecSchedulerCommonBase
- OsclActivePriority : OsclActiveObject
- OsclAOStatus() : OsclAOStatus
- OsclAuditCB() : OsclAuditCB
- OsclBase : OsclTLSRegistry, OsclSingletonRegistry
- OsclBindRequest() : OsclBindRequest
- OsclBinIStream() : OsclBinIStream
- OsclBinIStreamBigEndian() : OsclBinIStreamBigEndian
- OsclBinIStreamLittleEndian() : OsclBinIStreamLittleEndian
- OsclBinOStream() : OsclBinOStream
- OsclBinOStreamBigEndian() : OsclBinOStreamBigEndian
- OsclBinOStreamLittleEndian() : OsclBinOStreamLittleEndian
- OsclBinStream() : OsclBinStream
- OsclBuf() : OsclBuf
- OsclCoeActiveScheduler : OsclExecSchedulerBase, PVThreadContext, OsclExecSchedulerCommonBase
- OsclCoeActiveSchedulerBase : PVThreadContext
- OsclComponentRegistry() : OsclComponentRegistry
- OsclComponentRegistryElement() : OsclComponentRegistryElement
- OsclConnectRequest : OsclConnectRequest, OsclSocketI
- OsclDNS : OsclSocketServ
- OsclDNSI : OsclSocketServI, OsclDNSRequestAO
- OsclDNSIBase() : OsclDNSIBase
- OsclDNSMethod : OsclDNSMethod, OsclDNSRequestAO
- OsclDNSRequest : OsclDNSRequest, OsclDNSRequestAO, OsclDNSI, OsclDNSIBase
- OsclDNSRequestAO : OsclDNSRequestAO, OsclDNS
- OsclDoubleLink() : OsclDoubleLink
- OsclDoubleList() : OsclDoubleList< T >
- OsclDoubleListBase() : OsclDoubleListBase
- OsclDoubleRunner() : OsclDoubleRunner< T >
- OsclError : OsclExecSchedulerCommonBase, OsclErrorTrapImp, OsclTrapStack
- OsclErrorAllocator() : OsclErrorAllocator
- OsclErrorTrap : OsclErrorTrapImp, OsclTrapStack
- OsclErrorTrapImp : OsclTrapStack, OsclJump
- OsclException() : OsclException< LeaveCode >
- OsclExclusiveArrayPtr() : OsclExclusiveArrayPtr< T >
- OsclExclusivePtr() : OsclExclusivePtr< T >
- OsclExclusivePtrA() : OsclExclusivePtrA< T, Alloc >
- OsclExecScheduler : OsclExecSchedulerBase, PVThreadContext, PVActiveBase, PVActiveStats, OsclExecSchedulerCommonBase, OsclErrorTrapImp
- OsclExecSchedulerBase : PVThreadContext
- OsclExecSchedulerCommonBase : OsclExecSchedulerCommonBase, PVThreadContext, PVActiveStats, OsclErrorTrapImp
- OsclExtractFilenameFromFullpath() : OsclFileManager
- OsclFileCache : OsclFileCache, Oscl_File
- OsclFileCacheBuffer : OsclFileCacheBuffer, Oscl_File, OsclFileCache
- OsclFileHandle() : OsclFileHandle
- OsclFileStats() : OsclFileStats
- OsclGetFileAttributes() : OsclFileManager
- OsclGetFileCreationTime() : OsclFileManager
- OsclGetFileLastAccessTime() : OsclFileManager
- OsclGetFileLastWriteTime() : OsclFileManager
- OsclGetFileSize() : OsclFileManager
- OsclGetHostByNameMethod : OsclGetHostByNameRequest
- OsclGetHostByNameRequest : OsclDNSI, OsclDNSIBase
- OsclIpMReq() : OsclIpMReq
- OsclIPSocketI() : OsclIPSocketI
- OsclJump : OsclErrorTrapImp
- OsclJumpMark : OsclErrorTrapImp
- OsclListenRequest() : OsclListenRequest
- OsclMem : OsclMemGlobalAuditObject
- OsclMemAudit() : OsclMemAudit
- OSCLMemAutoPtr() : OSCLMemAutoPtr< T, _Allocator >
- OsclMemGlobalAuditObject : OsclMemAudit
- OsclMemPoolFixedChunkAllocator() : OsclMemPoolFixedChunkAllocator
- OsclMemPoolResizableAllocator() : OsclMemPoolResizableAllocator
- OsclMemStatsNode() : OsclMemStatsNode
- OsclMutex() : OsclMutex
- OsclNameString() : OsclNameString< __len >
- OsclNativeFile : OsclNativeFile, Oscl_FileServer
- OsclNativeFileParams() : OsclNativeFileParams
- OsclNetworkAddress() : OsclNetworkAddress
- OsclPriorityList() : OsclPriorityList< T >
- OsclPriorityQueue() : OsclPriorityQueue< Qelem, Alloc, Container, Compare >
- OsclPriorityQueueBase : Oscl_Vector_Base
- OsclPtr() : OsclPtr
- OsclPtrC() : OsclPtrC
- OsclReadyCompare : PVActiveBase
- OsclReadyQ : PVActiveBase, PVActiveStats, OsclExecSchedulerCommonBase
- OsclReadySetPosition : PVActiveBase
- OsclRecvFromRequest : OsclRecvFromRequest, OsclSocketI
- OsclRecvRequest : OsclRecvRequest, OsclSocketI
- OsclRefCounterDA() : OsclRefCounterDA
- OsclRefCounterMemFrag() : OsclRefCounterMemFrag
- OsclRefCounterMTDA() : OsclRefCounterMTDA< LockType >
- OsclRefCounterMTSA() : OsclRefCounterMTSA< DeallocType, LockType >
- OsclRefCounterSA() : OsclRefCounterSA< DeallocType >
- OsclRegistryAccessClient : OsclRegistryAccessClient, OsclRegistryServTlsImpl, OsclRegistryClientImpl
- OsclRegistryClient : OsclRegistryClient, OsclRegistryServTlsImpl, OsclRegistryClientImpl
- OsclRegistryServTlsImpl() : OsclRegistryServTlsImpl
- OsclScheduler : OsclExecScheduler, OsclExecSchedulerCommonBase, OsclErrorTrapImp
- OsclSchedulerCommonBase : PVActiveBase
- OsclSchedulerReadyCallback() : OsclSchedulerObserver
- OsclSchedulerTimerCallback() : OsclSchedulerObserver
- OsclScopedLock() : OsclScopedLock< LockClass >
- OsclSelect() : OsclSelect
- OsclSemaphore() : OsclSemaphore
- OsclSendRequest : OsclSendRequest, OsclSocketI
- OsclSendToRequest : OsclSendToRequest, OsclSocketI
- OsclSharedPtr() : OsclSharedPtr< TheClass >
- OsclShutdownRequest : OsclShutdownRequest, OsclSocketI
- OsclSingleton() : OsclSingleton< T, ID, Registry >
- OsclSocketI : OsclSocketServI, OsclSocketRequestAO
- OsclSocketIBase() : OsclSocketIBase
- OsclSocketMethod : OsclSocketMethod, OsclSocketRequestAO, OsclSocketIBase, OsclIPSocketI
- OsclSocketRequest : OsclSocketRequest, OsclSocketServI, OsclSocketRequestAO, OsclSocketIBase
- OsclSocketRequestAO : OsclSocketRequestAO, OsclSocketIBase, OsclIPSocketI
- OsclSocketServ : OsclSocketServI
- OsclSocketServI : OsclSocketServRequestList
- OsclSocketServIBase() : OsclSocketServIBase
- OsclSocketServRequestList : OsclSocketServRequestList, OsclSocketServI
- OsclSocketServRequestQElem() : OsclSocketServRequestQElem
- OsclSocketTOS() : OsclSocketTOS
- OsclTCPSocket : OsclSocketI, OsclSocketIBase, OsclSocketServ
- OsclTCPSocketI : OsclSocketServI
- OsclThread() : OsclThread
- OsclThreadLock() : OsclThreadLock
- OsclTimer() : OsclTimer< Alloc >
- OsclTimerCompare : OsclExecSchedulerCommonBase
- OsclTimerObject : OsclTimerObject, PVThreadContext, PVActiveBase, PVActiveStats, OsclExecSchedulerCommonBase
- OsclTLS() : OsclTLS< T, ID, Registry >
- OsclTLSEx() : OsclTLSEx< T, ID, Registry >
- OsclTrapItem() : OsclTrapItem
- OsclTrapStack : OsclTrapItem, OsclErrorTrapImp
- OsclTrapStackItem : OsclTrapStackItem, OsclTrapItem
- OsclUDPSocket : OsclSocketI, OsclSocketIBase, OsclSocketServ
- OsclUDPSocketI : OsclSocketServI
- OsclUuid() : OsclUuid
- other : Oscl_TAlloc< T, Alloc >::rebind< U, V >
- other_chartype : OSCL_wFastString, OSCL_FastString, OSCL_wStackString< MaxBufSize >, OSCL_StackString< MaxBufSize >, OSCL_wHeapStringA, OSCL_HeapStringA, OSCL_wHeapString< Alloc >, OSCL_HeapString< Alloc >
- OTHER_ERROR : OsclProcStatus
- OUTOFMEMORY_ERROR : OsclProcStatus
- overwrite : CFastRep

### - p -

- pad : MM_AllocBlockFence, MM_AllocBlockHdr
- pair_citerator_citerator : Oscl_Map< Key, T, Alloc, Compare >
- pair_iterator_bool : Oscl_TagTree< T, Alloc >, Oscl_Map< Key, T, Alloc, Compare >
- pair_iterator_iterator : Oscl_Map< Key, T, Alloc, Compare >
- pAllocInfo : MM_AllocNode
- parent : Oscl_Rb_Tree_Node_Base, Oscl_TagTree< T, Alloc >::Node
- pAudit : OsclAuditCB
- pBasePosition : OsclBinStream
- pBuffer : OsclFileCacheBuffer
- peakNumAllocs : MM_Stats_t
- peakNumBytes : MM_Stats_t
- PendComplete() : OsclReadyQ, OsclActiveObject, OsclExecSchedulerCommonBase
- PendForExec() : OsclActiveObject
- per_allocation_overhead : MM_AuditOverheadStats
- perms : oscl_stat_buf
- PersistHostAddress() : GetHostByNameParam
- pFileName : MM_AllocInfo
- pMemBlock : MM_AllocInfo, MM_AllocQueryInfo
- pMMFIParam : OsclMemStatsNode
- pMMStats : OsclMemStatsNode
- pNext : MM_AllocNode
- pNode : MM_AllocBlockHdr
- pointer : MemAllocator< T >, Oscl_Vector< T, Alloc >, Oscl_Rb_Tree< Key, Value, KeyOfValue, Compare, Alloc >, Oscl_Rb_Tree_Const_Iterator< Value >, Oscl_Rb_Tree_Iterator< Value >, Oscl_TagTree< T, Alloc >::const_iterator, Oscl_TagTree< T, Alloc >::iterator, Oscl_Queue< T, Alloc >, Oscl_Map< Key, T, Alloc, Compare >, Oscl_TAlloc< T, Alloc >
- pop() : OsclPriorityQueue< Qelem, Alloc, Container, Compare >, Oscl_Queue< T, Alloc >, Oscl_Queue_Base
- Pop() : OsclTimerQ, OsclError
- pop_back() : Oscl_Vector< T, Alloc >, Oscl_Vector_Base
- pop_heap() : OsclPriorityQueue< Qelem, Alloc, Container, Compare >, OsclPriorityQueueBase
- PopDealloc() : OsclError
- PopTop() : OsclTimerQ, OsclReadyQ
- port : OsclNetworkAddress
- PositionInBlock() : OsclBinStream
- pPosition : OsclBinStream
- pPrev : MM_AllocNode
- Preceeds() : OsclFileCacheBuffer
- PrepRead() : OsclFileCacheBuffer
- PrepWrite() : OsclFileCacheBuffer
- Priority() : OsclTimerObject, OsclActiveObject
- ProcessAccept() : OsclSocketI
- ProcessConnect() : OsclSocketI
- ProcessRecv() : OsclSocketI
- ProcessRecvFrom() : OsclSocketI
- ProcessSend() : OsclSocketI
- ProcessSendTo() : OsclSocketI
- ProcessShutdown() : OsclSocketI
- pRootNode : MM_AllocBlockHdr
- pruneSubtree() : MM_Audit_Imp
- PSHARED_ATTRIBUTE_SETTING_ERROR : OsclProcStatus
- PSHARED_NOT_ZERO_ERROR : OsclProcStatus
- pStats : MM_Stats_CB
- pStatsNode : MM_AllocInfo, OsclAuditCB
- Ptr() : OsclPtr, OsclPtrC
- ptr : WStrPtrLen, StrPtrLen, OsclMemoryFragment
- push() : OsclPriorityQueue< Qelem, Alloc, Container, Compare >, Oscl_Queue< T, Alloc >, Oscl_Queue_Base
- push_back() : Oscl_Vector< T, Alloc >, Oscl_Vector_Base
- push_front() : Oscl_Vector< T, Alloc >, Oscl_Vector_Base
- push_heap() : OsclPriorityQueue< Qelem, Alloc, Container, Compare >, OsclPriorityQueueBase
- PushL() : OsclError
- PVActiveBase : PVActiveBase, OsclExecSchedulerBase, PVThreadContext, PVActiveStats, OsclExecSchedulerCommonBase
- PVActiveStats : PVActiveBase, OsclExecSchedulerCommonBase
- PVCleanupStack : _OsclHeapBase
- PVLogger() : PVLogger
- PVLoggerRegistry : PVLoggerRegistry, PVLogger
- PVSchedulerStopper : PVSchedulerStopper, OsclExecSchedulerCommonBase
- PVSockBufRecv() : PVSockBufRecv
- PVSockBufSend() : PVSockBufSend
- PVThreadContext : PVThreadContext, OsclExecSchedulerCommonBase

### - r -

- Rand() : OsclRand
- Read() : OsclBinIStreamBigEndian, OsclNativeFile, Oscl_File, OsclFileCache, OsclAsyncFile
- read() : OSCL_wString, OSCL_String
- Read_uint16() : OsclBinIStreamBigEndian, OsclBinIStreamLittleEndian
- Read_uint32() : OsclBinIStreamBigEndian, OsclBinIStreamLittleEndian
- Read_uint8() : OsclBinIStream
- ReadAsync() : OsclNativeFile
- ReadAsyncCancel() : OsclNativeFile
- rebalance() : Oscl_Rb_Tree_Base
- rebalance_for_erase() : Oscl_Rb_Tree_Base
- Recv() : OsclTCPSocketI, OsclRecvRequest, OsclRecvMethod, OsclSocketI, OsclSocketIBase, OsclTCPSocket
- RecvFrom() : OsclUDPSocketI, OsclRecvFromRequest, OsclRecvFromMethod, OsclSocketI, OsclSocketIBase, OsclUDPSocket
- RecvFromParam() : RecvFromParam
- RecvFromRequest() : OsclRecvFromMethod
- RecvFromSuccess() : OsclSocketI, OsclSocketIBase
- RecvParam() : RecvParam
- RecvRequest() : OsclRecvMethod
- RecvSuccess() : OsclSocketI, OsclSocketIBase
- red : Oscl_Rb_Tree_Node_Base
- RedBl : Oscl_Rb_Tree_Node_Base
- refcount : CHeapRep
- reference : Oscl_Vector< T, Alloc >, Oscl_Rb_Tree< Key, Value, KeyOfValue, Compare, Alloc >, Oscl_Rb_Tree_Const_Iterator< Value >, Oscl_Rb_Tree_Iterator< Value >, Oscl_TagTree< T, Alloc >::const_iterator, Oscl_TagTree< T, Alloc >::iterator, Oscl_Queue< T, Alloc >, Oscl_Map< Key, T, Alloc, Compare >, Oscl_TAlloc< T, Alloc >
- Register() : OsclRegistryServTlsImpl, OsclComponentRegistry, OsclRegistryClientImpl, OsclRegistryClient
- RegisterForCallback() : OsclReadyQ, OsclExecScheduler
- registerInstance() : OsclTLSRegistryEx, OsclTLSRegistry, OsclSingletonRegistry
- registerInstanceAndUnlock() : OsclSingletonRegistry
- release() : OSCLMemAutoPtr< T, _Allocator >, OsclExclusivePtrA< T, Alloc >, OsclExclusiveArrayPtr< T >, OsclExclusivePtr< T >
- RELOCK_MUTEX_ERROR : OsclProcStatus
- remove() : OsclPriorityQueue< Qelem, Alloc, Container, Compare >, OsclPriorityQueueBase
- Remove() : OsclTimerQ, OsclReadyQ, OsclDoubleLink, OsclSocketServRequestList
- remove_element() : Oscl_MTLinked_List< LLClass, Alloc, TheLock >, Oscl_Linked_List< LLClass, Alloc >, Oscl_Linked_List_Base
- remove_ref() : CHeapRep
- removeALLAllocNodes() : MM_Audit_Imp
- removeAllocNode() : MM_Audit_Imp
- RemoveAppender() : PVLogger
- RemoveFixedCache() : Oscl_File
- RemoveFromScheduler() : PVActiveBase, OsclTimerObject, OsclActiveObject
- RemoveRef() : DNSRequestParam
- removeRef() : OsclMemPoolResizableAllocator, OsclMemPoolFixedChunkAllocator, Oscl_DefAllocWithRefCounter< DefAlloc >, OsclRefCounterMTSA< DeallocType, LockType >, OsclRefCounterMTDA< LockType >, OsclRefCounterSA< DeallocType >, OsclRefCounterDA, OsclRefCounter
- Request() : OsclTimer< Alloc >
- RequestCanceled() : OsclExecSchedulerCommonBase
- RequestDone() : OsclSocketRequestAO, OsclDNSRequestAO
- reserve() : OsclPriorityQueue< Qelem, Alloc, Container, Compare >, Oscl_Vector_Base, Oscl_Queue_Base
- ReserveSpace() : OsclBinStream
- reset() : BufferState, OsclMemStatsNode, MM_FailInsertParam, MM_Stats_t
- Reset() : OsclDoubleListBase
- ResetLogPerf() : OsclExecSchedulerCommonBase
- Resume() : OsclThread
- ResumeScheduler() : OsclExecSchedulerCommonBase
- retrieveParentTag() : MM_Audit_Imp
- retrieveParentTagLength() : MM_Audit_Imp
- Right() : OsclPtrC
- right : Oscl_Rb_Tree_Node_Base
- rotate_left() : Oscl_Rb_Tree_Base
- rotate_right() : Oscl_Rb_Tree_Base
- Run() : CallbackTimer< Alloc >, PVActiveBase, OsclSocketRequestAO, OsclSocketMethod, OsclDNSRequestAO, OsclDNSMethod
- RunError() : PVActiveBase, OsclTimerObject, OsclActiveObject
- RunIfNotReady() : OsclTimerObject, OsclActiveObject
- RunSchedulerNonBlocking() : OsclExecScheduler

### - s -

- save_registry() : TLSStorageOps
- second : Oscl_Pair< T1, T2 >
- Seed() : OsclRand
- Seek() : OsclBinStream, OsclNativeFile, Oscl_File, OsclFileCache, OsclAsyncFile
- seek_type : Oscl_File
- SEEKCUR : Oscl_File
- SEEKEND : Oscl_File
- seekFromCurrentPosition() : OsclBinStream
- SEEKSET : Oscl_File
- self : Oscl_Rb_Tree_Const_Iterator< Value >, Oscl_Rb_Tree_Iterator< Value >, Oscl_TagTree< T, Alloc >::const_iterator, Oscl_TagTree< T, Alloc >::iterator, Oscl_Map< Key, T, Alloc, Compare >
- SEM_NOT_SIGNALED_ERROR : OsclProcStatus
- Send() : OsclTCPSocketI, OsclSendRequest, OsclSendMethod, OsclSocketI, OsclSocketIBase, OsclTCPSocket
- SendParam() : SendParam
- SendRequest() : OsclSendMethod
- SendSuccess() : OsclSocketI, OsclSocketIBase
- SendTo() : OsclUDPSocketI, OsclSendToRequest, OsclSendToMethod, OsclSocketI, OsclSocketIBase, OsclUDPSocket
- SendToParam() : SendToParam
- SendToRequest() : OsclSendToMethod
- SendToSuccess() : OsclSocketI, OsclSocketIBase
- Serv() : OsclDNSRequestAO
- set() : CStackRep, CHeapRep, OSCL_wFastString, OSCL_FastString, OSCL_wStackString< MaxBufSize >, OSCL_StackString< MaxBufSize >, OSCL_wHeapStringA, OSCL_HeapStringA, OSCL_wHeapString< Alloc >, OSCL_HeapString< Alloc >, OsclTLSEx< T, ID, Registry >, OsclTLS< T, ID, Registry >, OsclSingleton< T, ID, Registry >, OsclExclusivePtrA< T, Alloc >, OsclExclusiveArrayPtr< T >, OsclExclusivePtr< T >
- Set() : OsclDoubleRunner< T >, OsclPtr, OsclPtrC, OsclNameString< __len >
- set_from_ntp_time() : TimeValue
- set_from_system_time() : NTPTime
- set_int64() : Oscl_Int64_Utils
- set_len() : OSCL_wString, OSCL_String
- set_length() : OSCL_wFastString, OSCL_FastString
- set_next() : Oscl_Opaque_Type_Alloc_LL
- set_r() : CFastRep
- set_rep() : CHeapRep, OSCL_wString, OSCL_String
- set_to_current_time() : TimeValue, NTPTime
- set_to_zero() : TimeValue
- set_uint64() : Oscl_Int64_Utils
- set_w() : CFastRep
- set_zulu() : TimeValue
- setAllocNodeFlag() : MM_AllocBlockHdr
- SetAsyncReadBufferSize() : Oscl_File
- SetBusy() : OsclTimerObject, OsclActiveObject
- SetCacheObserver() : Oscl_File
- setCheckSum() : StrCSumPtrLen
- SetExactFrequency() : OsclTimer< Alloc >
- SetFileHandle() : Oscl_File
- SetFrequency() : OsclTimer< Alloc >
- SetInUse() : OsclAsyncFileBuffer
- SetLength() : OsclPtr, OsclPtrC
- SetLoggingEnable() : Oscl_File
- SetLogLevel() : PVLogger
- SetLogLevelAndPropagate() : PVLogger
- setMaxSzForNewMemPoolBuffer() : OsclMemPoolResizableAllocator
- SetMulticastTTL() : OsclUDPSocketI, OsclUDPSocket
- SetNativeAccessMode() : Oscl_File
- SetNativeBufferSize() : Oscl_File
- SetNodeLogLevelExplicit() : PVLoggerRegistry
- SetObserver() : OsclTimer< Alloc >
- SetOffset() : OsclDoubleListBase, OsclAsyncFileBuffer
- SetOptionToReuseAddress() : OsclTCPSocket, OsclUDPSocket, OsclIPSocketI
- SetParent() : PVLogger
- SetPosition() : OsclFileCacheBuffer
- SetPrecedence() : OsclSocketTOS
- SetPriority() : OsclThread, OsclSocketTOS
- setPtrLen() : StrCSumPtrLen, WStrPtrLen, StrPtrLen
- SetPVCacheSize() : Oscl_File
- SetRecvBufferSize() : OsclSocketI, OsclUDPSocket, OsclIPSocketI
- setrep_to_char() : OSCL_String
- setrep_to_wide_char() : OSCL_wString
- SetScheduler() : OsclExecSchedulerCommonBase
- SetSize() : OsclNativeFile, Oscl_File
- SetSockOpt() : OsclSocketI
- SetStatus() : OsclTimerObject, OsclActiveObject
- SetSummaryStatsLoggingEnable() : Oscl_File
- SetTimestamp() : MediaData< ChainClass, max_frags, local_bufsize >
- SetToHead() : OsclDoubleRunner< T >
- SetTOS() : OsclTCPSocket, OsclUDPSocket, OsclIPSocketI
- SetToTail() : OsclDoubleRunner< T >
- setWithoutOwnership() : OSCLMemAutoPtr< T, _Allocator >
- ShowStats() : OsclExecSchedulerCommonBase
- ShowSummaryStats() : OsclExecSchedulerCommonBase
- Shutdown() : OsclTCPSocketI, OsclShutdownRequest, OsclShutdownMethod, OsclSocketI, OsclSocketIBase, OsclTCPSocket
- ShutdownParam() : ShutdownParam
- ShutdownRequest() : OsclShutdownMethod
- Signal() : OsclSemaphore
- size : WStrPtrLen, StrPtrLen, OsclPriorityQueue< Qelem, Alloc, Container, Compare >, Oscl_Vector_Base, Oscl_Rb_Tree< Key, Value, KeyOfValue, Compare, Alloc >, Oscl_TagTree< T, Alloc >, Oscl_Queue_Base, Oscl_Map< Key, T, Alloc, Compare >, CFastRep, CStackRep, CHeapRep, MM_AllocBlockHdr, MM_AllocInfo, MM_AllocQueryInfo
- Size() : OsclNativeFile, Oscl_File, OsclAsyncFile
- size_type : Oscl_Rb_Tree< Key, Value, KeyOfValue, Compare, Alloc >, Oscl_TagTree< T, Alloc >, Oscl_Tag_Base, Oscl_Queue< T, Alloc >, Oscl_Map< Key, T, Alloc, Compare >, Oscl_TAlloc< T, Alloc >
- sizeof_T : Oscl_Vector_Base, Oscl_Queue_Base, Oscl_Linked_List_Base
- SleepMillisec() : OsclThread
- Socket() : OsclSocketI
- SocketI() : OsclSocketRequestAO
- SocketObserver() : OsclSocketRequestAO
- SocketRequestParam() : SocketRequestParam
- SocketServ() : OsclIPSocketI
- sort_children() : Oscl_TagTree< T, Alloc >::Node
- specialFragBuffer : OsclBinStream
- Start() : OsclFileStats
- StartAsyncRead() : OsclAsyncFileBuffer
- StartCancel() : OsclSocketServRequestList
- StartMethod() : OsclSocketMethod, OsclDNSMethod
- StartNativeScheduler() : OsclExecSchedulerCommonBase
- StartScheduler() : OsclExecSchedulerCommonBase
- State() : OsclSocketServIBase
- state : OsclBinStream
- state_t : OsclBinStream
- StaticJump() : OsclJump
- stats_overhead : MM_AuditOverheadStats
- Status() : OsclTimerObject, OsclActiveObject
- status_t : BufFragStatusClass
- StatusRef() : OsclTimerObject, OsclActiveObject
- StopScheduler() : OsclExecSchedulerCommonBase
- Str() : OsclNameString< __len >
- StrCSumPtrLen() : StrCSumPtrLen
- StrPtrLen() : StrPtrLen
- Success() : OsclSendToRequest, OsclSendRequest, OsclRecvFromRequest, OsclRecvRequest, OsclSocketRequestAO, OsclDNSRequestAO
- SUCCESS_ERROR : OsclProcStatus
- Suspend() : OsclThread
- SuspendScheduler() : OsclExecSchedulerCommonBase
- swap() : OsclPriorityQueue< Qelem, Alloc, Container, Compare >, Oscl_Opaque_Type_Compare
- SYSTEM_RESOURCES_UNAVAILABLE_ERROR : OsclProcStatus

### - t -

- tag : MM_AllocQueryInfo, MM_Stats_CB, OsclMemStatsNode, Oscl_TagTree< T, Alloc >::Node, Oscl_Tag< Alloc >
- tag_ancestor() : Oscl_Tag_Base
- tag_base_type : Oscl_TagTree< T, Alloc >, Oscl_Tag_Base
- tag_base_unit : Oscl_Tag_Base
- tag_cmp() : Oscl_Tag_Base
- tag_copy() : Oscl_Tag_Base
- tag_depth() : Oscl_Tag_Base
- tag_len() : Oscl_Tag_Base
- tag_type : Oscl_TagTree< T, Alloc >
- tagAllocator : Oscl_Tag< Alloc >
- Tail() : OsclPriorityList< T >, OsclDoubleList< T >
- tail : Oscl_Linked_List_Base
- takeOwnership() : OSCLMemAutoPtr< T, _Allocator >
- Tell() : OsclNativeFile, Oscl_File, OsclFileCache, OsclAsyncFile
- tellg() : OsclBinStream
- Terminate() : OsclThread
- the_list : Oscl_MTLinked_List< LLClass, Alloc, TheLock >
- THREAD_1_INACTIVE_ERROR : OsclProcStatus
- THREAD_BLOCK_ERROR : OsclProcStatus
- THREAD_NOT_OWN_MUTEX_ERROR : OsclProcStatus
- ThreadHasScheduler() : PVThreadContext
- ThreadLogoff() : OsclReadyQ, OsclUDPSocketI, OsclTCPSocketI, OsclSocketMethod, OsclSocketI, OsclTCPSocket, OsclUDPSocket, OsclIPSocketI
- ThreadLogon() : OsclReadyQ, OsclUDPSocketI, OsclTCPSocketI, OsclSocketMethod, OsclSocketI, OsclTCPSocket, OsclUDPSocket, OsclIPSocketI
- TickCount() : OsclTickCount
- TickCountFrequency() : OsclTickCount
- TickCountPeriod() : OsclTickCount
- TicksToMsec() : OsclTickCount
- TimeoutOccurred() : OsclTimerObserver
- TimerBaseElapsed() : OsclTimer< Alloc >, CallbackTimerObserver
- TimerCallback() : OsclReadyQ
- timestamp : MediaData< ChainClass, max_frags, local_bufsize >
- TimeValue() : TimeValue
- to_msec() : TimeValue
- to_system_time() : NTPTime
- TOO_MANY_FRAGS : BufFragStatusClass
- TOO_MANY_THREADS_ERROR : OsclProcStatus
- Top() : OsclTimerQ, OsclReadyQ, OsclJump
- top() : OsclPriorityQueue< Qelem, Alloc, Container, Compare >
- totalbytes : oscl_fsstat
- totalNumAllocs : MM_Stats_t
- totalNumBytes : MM_Stats_t
- TOtherExecStats : OsclExecSchedulerCommonBase
- TPVServicePrecedence : OsclSocketTOS
- TPVServicePriority : OsclSocketTOS
- Trap() : OsclErrorTrapImp
- TrapNoTls() : OsclErrorTrapImp
- TReadyQueLink() : TReadyQueLink
- trim() : OsclMemPoolResizableAllocator
- TryLock() : OsclMutex
- TryWait() : OsclSemaphore
- TSocketServState : OsclSocketServIBase
- TSymbianAccessMode : Oscl_File

### - u -

- Unbind() : OsclSharedPtr< TheClass >
- UninstallScheduler() : OsclExecSchedulerCommonBase
- Unlock() : OsclThreadLock, OsclMutex, OsclNullLock, OsclLockBase
- Unregister() : OsclComponentRegistry
- UnRegister() : OsclRegistryServTlsImpl, OsclRegistryClientImpl, OsclRegistryClient
- UnTrap() : OsclErrorTrapImp
- update() : MM_Stats_t
- UpdateData() : OsclAsyncFileBuffer
- updateEnd : OsclFileCacheBuffer
- updateStart : OsclFileCacheBuffer
- updateStatsNode() : MM_Audit_Imp
- updateStatsNodeInFailure() : MM_Audit_Imp
- UpdateTimers() : OsclExecSchedulerCommonBase
- UpdateTimersMsec() : OsclExecSchedulerCommonBase
- upper_bound() : Oscl_Rb_Tree< Key, Value, KeyOfValue, Compare, Alloc >, Oscl_Map< Key, T, Alloc, Compare >
- usableSize : OsclFileCacheBuffer

### - v -

- validate() : OsclPriorityQueue< Qelem, Alloc, Container, Compare >, MM_Audit_Imp
- validate_all_heap() : MM_Audit_Imp
- validateblock() : OsclMemPoolResizableAllocator
- value : Oscl_Rb_Tree_Node< Value >, Oscl_TagTree< T, Alloc >::Node
- Value() : OsclAOStatus
- value_comp() : Oscl_Map< Key, T, Alloc, Compare >
- value_compare() : Oscl_Map< Key, T, Alloc, Compare >::value_compare
- value_type : OsclPriorityQueue< Qelem, Alloc, Container, Compare >, Oscl_Vector< T, Alloc >, Oscl_Rb_Tree< Key, Value, KeyOfValue, Compare, Alloc >, Oscl_Rb_Tree_Const_Iterator< Value >, Oscl_Rb_Tree_Iterator< Value >, Oscl_Rb_Tree_Node< Value >, Oscl_TagTree< T, Alloc >, Oscl_Queue< T, Alloc >, Oscl_Map< Key, T, Alloc, Compare >, Oscl_TAlloc< T, Alloc >
- vec() : OsclPriorityQueue< Qelem, Alloc, Container, Compare >

### - w -

- Wait() : OsclSemaphore
- WAIT_ABANDONED_ERROR : OsclProcStatus
- WAIT_TIMEOUT_ERROR : OsclProcStatus
- WaitAndPopTop() : OsclReadyQ
- WaitForReadyAO() : OsclExecSchedulerCommonBase
- WaitForRequestComplete() : OsclReadyQ
- WaitOnRequests() : OsclSocketServRequestList
- Wakeup() : OsclSocketServRequestList
- writable : CFastRep
- write() : OSCL_wString, OSCL_String, OsclBinOStream
- Write() : OsclNativeFile, Oscl_File, OsclFileCache, OsclAsyncFile
- WriteUnsignedLong() : OsclBinOStreamBigEndian, OsclBinOStreamLittleEndian
- WriteUnsignedShort() : OsclBinOStreamBigEndian, OsclBinOStreamLittleEndian
- WriteUpdatesToFile() : OsclFileCacheBuffer
- WStrPtrLen() : WStrPtrLen

### - x -

- xsubi : MM_FailInsertParam

### - z -

- Zero() : OsclPtr, OsclPtrC

### - ~ -

- ~_OsclBasicAllocator() : _OsclBasicAllocator
- ~_OsclHeapBase() : _OsclHeapBase
- ~AllPassFilter() : AllPassFilter
- ~BufferMgr() : BufferMgr
- ~BufFragGroup() : BufFragGroup< ChainClass, max_frags >
- ~CallbackTimer() : CallbackTimer< Alloc >
- ~CallbackTimerObserver() : CallbackTimerObserver
- ~DNSRequestParam() : DNSRequestParam
- ~GetHostByNameParam() : GetHostByNameParam
- ~HeapBase() : HeapBase
- ~MediaData() : MediaData< ChainClass, max_frags, local_bufsize >
- ~MemAllocator() : MemAllocator< T >
- ~MM_AllocInfo() : MM_AllocInfo
- ~MM_AllocNode() : MM_AllocNode
- ~MM_Audit_Imp() : MM_Audit_Imp
- ~Oscl_Alloc() : Oscl_Alloc
- ~Oscl_Dealloc() : Oscl_Dealloc
- ~OSCL_FastString() : OSCL_FastString
- ~Oscl_File() : Oscl_File
- ~Oscl_FileFind() : Oscl_FileFind
- ~Oscl_FileServer() : Oscl_FileServer
- ~OSCL_HeapString() : OSCL_HeapString< Alloc >
- ~OSCL_HeapStringA() : OSCL_HeapStringA
- ~Oscl_Linked_List() : Oscl_Linked_List< LLClass, Alloc >
- ~Oscl_Linked_List_Base() : Oscl_Linked_List_Base
- ~Oscl_MTLinked_List() : Oscl_MTLinked_List< LLClass, Alloc, TheLock >
- ~Oscl_Opaque_Type_Alloc() : Oscl_Opaque_Type_Alloc
- ~Oscl_Opaque_Type_Alloc_LL() : Oscl_Opaque_Type_Alloc_LL
- ~Oscl_Opaque_Type_Compare() : Oscl_Opaque_Type_Compare
- ~Oscl_Queue() : Oscl_Queue< T, Alloc >
- ~Oscl_Queue_Base() : Oscl_Queue_Base
- ~Oscl_Rb_Tree() : Oscl_Rb_Tree< Key, Value, KeyOfValue, Compare, Alloc >
- ~OSCL_StackString() : OSCL_StackString< MaxBufSize >
- ~OSCL_String() : OSCL_String
- ~Oscl_Tag() : Oscl_Tag< Alloc >
- ~Oscl_TagTree() : Oscl_TagTree< T, Alloc >
- ~Oscl_TAlloc() : Oscl_TAlloc< T, Alloc >
- ~Oscl_Vector() : Oscl_Vector< T, Alloc >
- ~Oscl_Vector_Base() : Oscl_Vector_Base
- ~OSCL_wFastString() : OSCL_wFastString
- ~OSCL_wHeapString() : OSCL_wHeapString< Alloc >
- ~OSCL_wHeapStringA() : OSCL_wHeapStringA
- ~OSCL_wStackString() : OSCL_wStackString< MaxBufSize >
- ~OSCL_wString() : OSCL_wString
- ~OsclAcceptMethod() : OsclAcceptMethod
- ~OsclActiveObject() : OsclActiveObject
- ~OsclAllocDestructDealloc() : OsclAllocDestructDealloc
- ~OsclAsyncFile() : OsclAsyncFile
- ~OsclAsyncFileBuffer() : OsclAsyncFileBuffer
- ~OsclBindMethod() : OsclBindMethod
- ~OsclBinIStream() : OsclBinIStream
- ~OsclBinOStream() : OsclBinOStream
- ~OsclCacheObserver() : Oscl_File::OsclCacheObserver
- ~OsclComponentRegistry() : OsclComponentRegistry
- ~OsclComponentRegistryElement() : OsclComponentRegistryElement
- ~OsclConnectMethod() : OsclConnectMethod
- ~OsclDestructDealloc() : OsclDestructDealloc
- ~OsclDNS() : OsclDNS
- ~OsclDNSI() : OsclDNSI
- ~OsclDNSIBase() : OsclDNSIBase
- ~OsclDNSObserver() : OsclDNSObserver
- ~OsclDNSRequest() : OsclDNSRequest
- ~OsclExclusiveArrayPtr() : OsclExclusiveArrayPtr< T >
- ~OsclExclusivePtr() : OsclExclusivePtr< T >
- ~OsclExclusivePtrA() : OsclExclusivePtrA< T, Alloc >
- ~OsclExecSchedulerCommonBase() : OsclExecSchedulerCommonBase
- ~OsclFileCache() : OsclFileCache
- ~OsclGetHostByNameMethod() : OsclGetHostByNameMethod
- ~OsclIPSocketI() : OsclIPSocketI
- ~OsclJump() : OsclJump
- ~OsclListenMethod() : OsclListenMethod
- ~OsclLockBase() : OsclLockBase
- ~OsclMemAudit() : OsclMemAudit
- ~OSCLMemAutoPtr() : OSCLMemAutoPtr< T, _Allocator >
- ~OsclMemPoolFixedChunkAllocator() : OsclMemPoolFixedChunkAllocator
- ~OsclMemPoolFixedChunkAllocatorObserver() : OsclMemPoolFixedChunkAllocatorObserver
- ~OsclMemPoolResizableAllocator() : OsclMemPoolResizableAllocator
- ~OsclMemPoolResizableAllocatorMemoryObserver() : OsclMemPoolResizableAllocatorMemoryObserver
- ~OsclMemPoolResizableAllocatorObserver() : OsclMemPoolResizableAllocatorObserver
- ~OsclMemStatsNode() : OsclMemStatsNode
- ~OsclMutex() : OsclMutex
- ~OsclNativeFile() : OsclNativeFile
- ~OsclNullLock() : OsclNullLock
- ~OsclPriorityQueue() : OsclPriorityQueue< Qelem, Alloc, Container, Compare >
- ~OsclPriorityQueueBase() : OsclPriorityQueueBase
- ~OsclRecvFromMethod() : OsclRecvFromMethod
- ~OsclRecvMethod() : OsclRecvMethod
- ~OsclRefCounter() : OsclRefCounter
- ~OsclRefCounterDA() : OsclRefCounterDA
- ~OsclRefCounterMemFrag() : OsclRefCounterMemFrag
- ~OsclRefCounterMTDA() : OsclRefCounterMTDA< LockType >
- ~OsclRefCounterMTSA() : OsclRefCounterMTSA< DeallocType, LockType >
- ~OsclRefCounterSA() : OsclRefCounterSA< DeallocType >
- ~OsclRegistryAccessClient() : OsclRegistryAccessClient
- ~OsclRegistryClient() : OsclRegistryClient
- ~OsclRegistryServTlsImpl() : OsclRegistryServTlsImpl
- ~OsclSchedulerObserver() : OsclSchedulerObserver
- ~OsclScopedLock() : OsclScopedLock< LockClass >
- ~OsclSemaphore() : OsclSemaphore
- ~OsclSendMethod() : OsclSendMethod
- ~OsclSendToMethod() : OsclSendToMethod
- ~OsclSharedPtr() : OsclSharedPtr< TheClass >
- ~OsclShutdownMethod() : OsclShutdownMethod
- ~OsclSingleton() : OsclSingleton< T, ID, Registry >
- ~OsclSocketI() : OsclSocketI
- ~OsclSocketIBase() : OsclSocketIBase
- ~OsclSocketMethod() : OsclSocketMethod
- ~OsclSocketObserver() : OsclSocketObserver
- ~OsclSocketRequestAO() : OsclSocketRequestAO
- ~OsclSocketServ() : OsclSocketServ
- ~OsclSocketServIBase() : OsclSocketServIBase
- ~OsclTCPSocket() : OsclTCPSocket
- ~OsclTCPSocketI() : OsclTCPSocketI
- ~OsclThread() : OsclThread
- ~OsclThreadLock() : OsclThreadLock
- ~OsclTimer() : OsclTimer< Alloc >
- ~OsclTimerObject() : OsclTimerObject
- ~OsclTimerObserver() : OsclTimerObserver
- ~OsclTLS() : OsclTLS< T, ID, Registry >
- ~OsclTLSEx() : OsclTLSEx< T, ID, Registry >
- ~OsclUDPSocket() : OsclUDPSocket
- ~OsclUDPSocketI() : OsclUDPSocketI
- ~PVActiveBase() : PVActiveBase
- ~PVLogger() : PVLogger
- ~PVLoggerAppender() : PVLoggerAppender
- ~PVLoggerFilter() : PVLoggerFilter
- ~PVLoggerLayout() : PVLoggerLayout
- ~PVLoggerRegistry() : PVLoggerRegistry
- ~PVSchedulerStopper() : PVSchedulerStopper
- ~PVThreadContext() : PVThreadContext
- ~SendToParam() : SendToParam